package com.emr.controller;

import com.emr.entity.Archive_Master_Vo;
import com.emr.entity.OffsetLimitPage;
import com.emr.service.ipml.PatientListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("patientList")
public class PatientListController {
    @Autowired
    private PatientListService patientListService;
    @RequestMapping("select")
    public String select(){
        return "statistics/patientList";
    }

    @ResponseBody
    @RequestMapping(value = "getPatientList")
    public OffsetLimitPage getPatientList( Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit,Integer isSearch) {
        //判断是否是初始化查询，是初始化查询把开始结束时间置空
        if(isSearch == 0){
            archiveMasterVo.setStartDateTo(null);
            archiveMasterVo.setEndDateTo(null);
        }
        OffsetLimitPage result = patientListService.getPatientList(archiveMasterVo, offset, limit);
        return result;
    }
}
