package com.emr.service.ipml;

import com.emr.dao.CompenSateMapper;
import com.emr.service.CompenSateService;
import com.emr.vo.CompenSateVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

/**
 * @ClassName CompenSateServiceImpl
 * @Description
 * @Author linjj
 * @Date 2024/3/25 14:42
 * @Version 1.0
 */
@Service
public class CompenSateServiceImpl implements CompenSateService {

    @Autowired
    private CompenSateMapper compenSateMapper;

    @Override
    public int updateCompenSate(String masterId, String patientId) {
        //判断按需表中是否存在当前记录
        List<CompenSateVo> list = compenSateMapper.selectAllByMasterId(masterId);
        //如果不存在则新增任务,存在则更新任务状态
        if (list == null || list.isEmpty()) {
            return compenSateMapper.addCompenSate(masterId, patientId, 0);
        } else {
            return compenSateMapper.updateCompenSate(masterId);
        }
    }

    @Override
    public int updatePacsCompenSate(String masterId, String patientId) {
        List<CompenSateVo> list = compenSateMapper.selectPacsAllByMasterId(masterId);
        if (list == null || list.isEmpty()) {
            //如果不存在则新增任务,存在则更新任务状态
            return compenSateMapper.addPacsCompenSate(masterId,0);
        }else {
            return compenSateMapper.updatePacsCompenSate(masterId);
        }

    }
}
