package com.emr.service.ipml;

import com.emr.dao.Archive_MasterMapper;
import com.emr.entity.Archive_Master_Vo;
import com.emr.entity.OffsetLimitPage;
import com.emr.service.Archive_MasterService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

@Service
@Transactional
public class PatientListService {
    @Autowired
    private Archive_MasterMapper archiveMasterMapper;
    @Autowired
    private Archive_MasterService archiveMasterService;
    public OffsetLimitPage getPatientList(Archive_Master_Vo archiveMasterVo, Integer offset, Integer limit) {
        PageHelper.offsetPage(offset, limit);
        List<Archive_Master_Vo> list = archiveMasterMapper.selectAllPatient(archiveMasterVo);
        archiveMasterService.setPaperStatusAndCallbackStatus(list);
        return new OffsetLimitPage((Page) list);
    }
}
