/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:46
 * Description:统计管理
 */
package com.emr.service.ipml;

import com.emr.dao.V_CountMapper;
import com.emr.entity.*;
import com.emr.service.V_CountService;
import com.emr.vo.V_CountVo;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Arrays;
import java.util.List;

@Service
public class V_CountServiceImpl implements V_CountService {
    @Autowired
    private V_CountMapper vCountMapper;

    @Override
    public List<V_Count> selectByCol(V_CountVo record) {
        List<V_Count> v_counts = vCountMapper.selectByCol(record);
        return v_counts;
    }

    @Override
    public OffsetLimitPage selectPageByClo(V_CountVo record, Integer offset, Integer limit) {
        PageHelper.offsetPage(offset, limit);
        List<V_Count> list = selectByCol(record);
        return new OffsetLimitPage((Page) list);
    }
}
 

