package com.emr.service.ipml;

import com.emr.dao.Zd_AssortMapper;
import com.emr.entity.Zd_Assort;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.util.List;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2020/4/22 15:47
 * @UpdateUser: 曾文和
 * @UpdateDate: 2020/4/22 15:47
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
@Service
@Transactional
public class ZdAssortService {
    @Autowired
    private Zd_AssortMapper assortMapper;
    public List<Zd_Assort> selectAll(Zd_Assort assort){
        return assortMapper.selectAll(assort);
    }
    public List<Zd_Assort> selectAllByIsCheck(){
        Zd_Assort assort = new Zd_Assort();
        assort.setPrintFlag("0");
        assort.setIsCheck(1);
        return assortMapper.selectAll(assort);
    }
}
