﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>在院浏览</title>
    <meta http-equiv="Content-Type"  content="text/html;charset=utf-8">
    <%--<meta name="referrer" content="never">--%>
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <%@ include file="../../jspf/ztreeCommom.jsp" %>
    <style>
        .modal-footer {
            padding: 5px;
        }

        .divCss {
            margin-top: 5px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }


        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        .divCss3 {
            margin-top: 5px;
            margin-left: 20px;
            color: blue;
        }

        .modal-content {
            width: 165%; /*width: 1300px;*/
            overflow-x: hidden;
            overflow-y: auto;

        }

        .modal {
            margin-left: -39%;
            overflow-x: auto;
            /*z-index: 1049;*/
        }

        .divCss4 {
            border-top: 1px solid #e5e5e5;
            width: 97.5%;
            margin-top: 10px;
            margin-bottom: 5px;
        }

        .labCss {
            /*color: gainsboro;*/
            color: #c1c3c4;
        }

        .titleCss {
            text-align: left;
            vertical-align: middle;
            background-color: #3c8dbc;
            color: #fff;
            font-size: 19px;
            font-weight: bold;
            height: 30px;
            margin-bottom: 10px;
        }

        .treeBtn {
            margin-top: 10px;
            margin-left: 10px;
            margin-right: 10px;
        }

        .zTreeDemo {
            height: auto;
            min-height: 350px;
        }

        .divCss5 {
            border-left: 2px solid #e5e5e5;
            height: auto;
            min-height: 350px;
        }

        .btnGroupCss {
            text-align: right;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        #assortModal > div > div {
            margin-top: 50%;
            margin-left: 60%;
            width: 500px;
        !important;
        }

        #exampleModal > div > div {
            margin-top: 50%;
            margin-left: 70%;
            width: 400px;
        !important;
        }

        .imgDivCss {
            min-height: 400px !important;
        }

        .showImg {
            width: 80%;
            height: 100%
        }

        .shadeImg {
            height: 950px;
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="0">
<div style="margin-left:30px;margin-right:10px;height:auto">
    <!--搜索-->
    <form style="margin-top:20px;">
        <div class="form-inline">
            <%--<div class="form-group divCss8">--%>
                <%--<label for="id">病案号:</label>--%>
                <%--<input type="text" class="input-sm form-control" id="id" placeholder="请输入病案号">--%>
            <%--</div>--%>
            <div class="form-group divCss8">
                <label for="name">主管医生:</label>
                <input type="text" class="input-sm form-control" id="doctorInCharge" maxlength="25" placeholder="请输入主管医生姓名">
            </div>
            <div class="form-group divCss8">
                <label for="inpNo">住院号:</label>
                <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号">
            </div>
            <div class="form-group divCss8">
                <label for="visitId">住院次数:</label>
                <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数">
            </div>
            <div class="form-group divCss8">
                <label for="name">姓名:</label>
                <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名">
            </div>
            <div class="form-group divCss8"  id="deptDiv" style="height: 18px;margin-top: -7px;">
                <label >当前科室 :</label>
                <%--<select class="input-sm form-control" id="deptName">--%>
                    <%--<option value="">全部</option>--%>
                    <%--&lt;%&ndash;<option value="在院">在院</option>&ndash;%&gt;--%>
                    <%--&lt;%&ndash;<option value="未归档">未归档</option>&ndash;%&gt;--%>
                    <%--&lt;%&ndash;<option value="归档中">归档中</option>&ndash;%&gt;--%>
                    <%--&lt;%&ndash;<option value="初审">初审</option>&ndash;%&gt;--%>
                    <%--&lt;%&ndash;<option value="已认证">已认证</option>&ndash;%&gt;--%>
                    <%--&lt;%&ndash;<option value="已归档">已归档</option>&ndash;%&gt;--%>
                <%--</select>--%>
                <select class="selectpicker bla bla bli" multiple data-live-search="true" name="deptName"
                        id="deptName" title="请输入当前科室">
                    <option value="">全部</option>
                </select>
            </div>
            <div class="form-group divCss">
                <label>入院日期：</label>
                <div class="input-daterange input-group" id="datepicker">
                    <input type="text" class="input-sm form-control" name="start" id="startDateTo" style="text-align:center" maxlength="10" autocomplete="off"/>
                    <span class="input-group-addon">-</span>
                    <input type="text" class="input-sm form-control" name="end" id="endDateTo" style="text-align:center" maxlength="10" autocomplete="off"/>
                </div>
            </div>
            <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
            <button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>

        </div>
    </form>
    <!--数据表格-->
    <table id="table" class="table  text-nowrap table-striped"></table>
    <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
        <div class="columns columns-right btn-group pull-right">
            <div class="btn-group btn-info">
                <select id="sel_exportoption" class="form-control">                
                    <option value="">导出当前页面数据</option>                                   
                    <option value="all">导出全部数据</option>                                 
                    <option value="selected">导出选中数据</option>
                </select>
            </div>
            <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                    aria-label="Refresh"
                    title="Refresh">
                <i class="glyphicon glyphicon-refresh icon-refresh"></i>
            </button>
        </div>
    </div>
</div>


<%--<div id="modal">--%>
<%--<div class="mask"></div>--%>
<%--<!-- 这里开始才是真正的内容 -->--%>
<%--<div class="dialog"></div>--%>
<%--</div>--%>

<!-- 模态框3（Modal）查看档案 -->
<div class="modal fade" id="selModal" tabindex="1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单
                </h4>
            </div>
            <div class="modal-body divCss2">
                <!--通过审批且未过期的patientId集合-->
                <form class="form-horizontal" id="form1">
                    <div class="row">
                        <div class="row divCss3">病历信息</div>
                        <div class="row divCss2">
                            <div class="col-sm-5" hidden>
                                病案号：<label id="idLab" class="labCss"></label><label id="assortId" hidden></label>
                            </div>
                            <div class="col-sm-4">
                                住院号：<label id="inLab" class="labCss"></label>
                            </div>

                            <div class="col-sm-4">
                                住院次数：<label id="inTimeLab" class="labCss"></label>
                            </div>
                                <div class="col-sm-3">
                                    姓名：<label id="nameLab" class="labCss"></label>
                                </div>

                        </div>
                        <div class="row divCss2">

                            <div class="col-sm-4"><input type="text" id="outDateLab" hidden/>
                                入院科室：<label id="deptToLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                入院日期：<label id="inDateLab" class="labCss"></label>
                            </div>
                            <%--<div class="col-sm-3">--%>
                                <%--完整性审核：--%>
                            <%--</div>--%>
                        </div>
                        <div class="row divCss2">

                            <div class="col-sm-4"><input type="text" id="outDateLab1" hidden/>
                                出院科室：<label id="deptToLab1" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                出院日期：<label id="inDateLab1" class="labCss"></label>
                            </div>
                            <%--<div class="col-sm-3">--%>
                                <%--完整性审核：--%>
                            <%--</div>--%>
                        </div>
                        <%--<div class="row divCss2">--%>
                            <%--&lt;%&ndash;<div class="col-sm-4">&ndash;%&gt;--%>
                            <%--&lt;%&ndash;离院方式：<label id="outHospLab" class="labCss"></label>&ndash;%&gt;--%>
                            <%--&lt;%&ndash;</div>&ndash;%&gt;--%>
                            <%--&lt;%&ndash;<div class="col-sm-5">&ndash;%&gt;--%>
                                <%--&lt;%&ndash;主管医生：<label id="chargeLab" class="labCss"></label>&ndash;%&gt;--%>
                            <%--&lt;%&ndash;</div>&ndash;%&gt;--%>

                            <%--<div class="col-sm-3">--%>

                            <%--</div>--%>
                        <%--</div>--%>
                    </div>


                    <div class="divCss4"></div>
                    <div class="row">
                        <div class="row divCss3 ">病历清单</div>
                        <div class="col-sm-3 divCss2">
                            <div class="row titleCss"></div>
                            <div class="row">
                                <div class="col-sm-9">
                                    <input type="text" id="key" value="" class="input-sm form-control empty" placeholder="分段名称"/>
                                </div>
                                <button type="button" class="btn btn-primary btn-sm" id="searchBtn1">查询</button>
                            </div>
                            <div class="row">
                                <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="expandAll();">
                                    全部展开
                                </button>
                                <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="collapseAll();">
                                    全部收缩
                                </button>
                            </div>
                            <div class="row">
                                <!--树-->
                                <div class="zTreeDemo" id="foo">
                                    <ul id="ztree" class="ztree"></ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-8 divCss5">
                            <div class="row btnGroupCss">
                                <button type="button" class="btn btn-default btn-sm" id="uploadBtn">上传文件</button>
                                <button type="button" class="btn btn-info btn-sm" id="pdfBtn">查看分段PDF</button>
                                <button type="button" class="btn btn-success btn-sm" id="pdfBtn2">查看PDF</button>
                                <%--<button type="button" class="btn btn-primary btn-sm" id="addBtn">添加清单</button>--%>
                                <button type="button" class="btn btn-warning btn-sm" id="updateStateBtn">选中作废</button>
                                <button type="button" class="btn btn-primary btn-sm" id="updateStateBtn2">选中使用</button>
                            </div>
                            <div class="row">
                                <!--数据表格-->
                                <table id="table2" class="table  text-nowrap  table-striped"></table>
                                <div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- 模态框3（Modal）分段信息 -->
<div class="modal fade" id="assortModal" tabindex="2" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单详情
                </h4>
            </div>
            <div class="modal-body">
                <!--通过审批且未过期的patientId集合-->
                <%--<form class="form-horizontal" id="logForm">--%>
                <input type="hidden" id="inpId" name="inpId">
                <div class="row">
                    <div class="form-group"><input id="fileUrlInp" hidden/>
                        <label class="col-sm-4 control-label">标题：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" id="inpTitle" name="inpTitle">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">类型：</label>
                        <div class="col-sm-5">
                            <%--<input type="text" class="input-sm form-control"  id="inpType" name="inpType">--%>
                            <select class="input-sm form-control" id="inpType">

                            </select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">来源：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" readonly id="inpSource" name="inpSource">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">状态：</label>
                        <div class="col-sm-5">
                            <select class="input-sm form-control" id="inpFlag">
                                <option value="0">使用</option>
                                <option value="1">作废</option>
                            </select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <%--<div class="row">--%>
                <%--<div class="form-group">--%>
                <%--<label class="col-sm-4 control-label">上传pdf：</label>--%>
                <%--<div class="col-sm-5"><a href="javascript:void(0);" target="_self" id="previewFile" style="display:none">预览</a>--%>
                <%--&lt;%&ndash;<form action="path/uploadPDF1" id="formUpload" enctype="multipart/form-data" method="post">&ndash;%&gt;--%>
                <%--&lt;%&ndash;<input id="addFile" type="file" accept="image/jpeg,image/png,image/jpg" name="addFile" size="chars">&ndash;%&gt;--%>
                <%--&lt;%&ndash;&lt;%&ndash;<iframe id="pdf_page" name="pdf_page" style="width:1500px;height:640px">&ndash;%&gt;&ndash;%&gt;--%>
                <%--&lt;%&ndash;&lt;%&ndash;</iframe>&ndash;%&gt;&ndash;%&gt;--%>

                <%--&lt;%&ndash;</form>&ndash;%&gt;--%>
                <%--</div>--%>
                <%--<div class="col-sm-1"></div>--%>
                <%--</div>--%>
                <%--</div>--%>
                <%--</form>--%>
            </div>
            <div class="modal-footer">

                <button type="button" class="btn btn-primary btn-sm" id="saveBtn">保存</button>
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>

            </div>
        </div>
    </div>
</div>
<%--多图片框--%>
<div class="modal fade" id="pdfModal" tabindex="-1" role="dialog"
     aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content enterCss">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
                <h4 class="modal-title">手动上传扫描病历（图片上传）</h4>
            </div>
            <div class="modal-body">
                <form id="filesUpload" style="margin-top:20px;" method="POST" enctype="multipart/form-data">
                    <div class="imgDivCss" id="divImg">
                        <%--<form>--%>

                        <%--<p class="form-group">--%>
                        <%--<h3>Bootstrap File Input Demo1</h3>--%>
                        <%--</p>--%>


                        <%--<input name="uploadFile" type="file" id="uploadFile" multiple class="file-loading"/>--%>

                        <%--</form>--%>

                        <div class="form-inline">
                            <div class="form-group divCss">
                                <label for="inpGl">归类 :</label>
                                <select class="input-sm form-control" id="inpGl">
                                    <option value="非类型">非类型</option>
                                    <option value="">全部</option>
                                    <%--<option value="在院">在院</option>--%>
                                    <%--<option value="未归档">未归档</option>--%>
                                    <%--<option value="归档中">归档中</option>--%>
                                    <%--<option value="初审">初审</option>--%>
                                    <%--<option value="已认证">已认证</option>--%>
                                    <%--<option value="已归档">已归档</option>--%>
                                </select>
                            </div>
                            <button type="button" class="btn btn-primary btn-sm divCss" id="imgBtn">查询</button>
                            <%--<button type="button" class="btn btn-info btn-sm divCss" id="imgsBtn">批量上传</button>--%>
                            <%--<button type="button" class="btn btn-danger btn-sm divCss" id="imgsDelBtn">批量删除</button>--%>
                            <button type="button" class="btn btn-warning btn-sm divCss" id="imgsSaveBtn">保存</button>
                            <a href="javascript:;" class="a-upload btn btn-info btn-sm">
                                <input type="file" name="myFile" id="myFile" multiple="multiple" hidden/>选择文件
                            </a>

                        </div>

                        <div class="img_div"></div>

                        <div class="shade" onclick="javascript:closeShade()">
                            <div class=""><span class="text_span"></span>
                            </div>
                        </div>
                        <%--<div class="shadeImg"  onclick="javascript:closeShadeImg()">--%>
                        <%--<div class="">--%>
                        <%--<img class="showImg" src=""/>--%>
                        <%--</div>--%>
                        <%--</div>--%>

                    </div>
                </form>
                <%--<div id="handout_wrap_inner"><input id="tsInfo" type="text" style="border:none" size="100" readonly/></div>--%>
                <%--<iframe id="pdf_page" name="pdf_page" data-target="_bank" style="width:100%;height:100%"></iframe>--%>
            </div>
            <%--<div class="modal-footer">--%>
            <%--<button type="button" class="btn btn-default btn-sm"--%>
            <%--data-dismiss="modal">返回--%>
            <%--</button>--%>
            <%--</div>--%>
        </div>
    </div>
</div>
<%--发大弹窗--%>
<div class="modal fade" id="maxImg" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body" STYLE="height: 950px">
                <div class="shadeImg" onclick="javascript:closeShadeImg()">
                    <div class="">
                        <img class="showImg" src=""/>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
            </div>
        </div>
    </div>
</div>
<%--确认框--%>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
                <h4 class="modal-title" id="exampleModalLabel">确认作废</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <input type="hidden" id="idT" name="idT" value=""/>
                        <label class="control-label">作废该分段记录吗？</label>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="stateBtn">确认</button>
            </div>
        </div>
    </div>
</div>
</body>

<script type="text/javascript">

    //识别是否加载
    var tipLoad=1;
    //创建数组保存图片
    var files = new Array();
    var id = 0;
    $(function () {
        var objUrl;
        var img_html;

        $("#myFile").change(function () {
            var img_div = $(".img_div");
            var filepath = $("input[name='myFile']").val();
            //获取所有图片
            var fileALL = this.files;
            for (var i = 0; i < fileALL.length; i++) {
                //把图片存到数组中
                files[id] = fileALL[i];
                id++;
                //获取图片路径
                objUrl = getObjectURL(fileALL[i]);
                var extStart = filepath.lastIndexOf(".");
                var ext = filepath.substring(extStart, filepath.length).toUpperCase();
                /**
                 *描述：鉴定每个图片上传尾椎限制
                 */

                if ( ext != ".PNG" && ext != ".GIF" && ext != ".JPG" && ext != ".JPEG") {
                    toastr.warning("图片限于png,gif,jpeg,jpg格式");
                    //$(".shade").fadeIn(500000000);//500
                    //$(".text_span").text("图片限于png,gif,jpeg,jpg格式");
                    //this.value = "";
                    //$(".img_div").html("");
                    return false;
                } else {
                /**
                 *若规则全部通过则在此提交url到后台数据库
                 */
                // if(objUrl.indexOf(".")!=-1){
                //     img_html = "<div class='isImg' id='-1'><img src='require(" + objUrl + ")' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                // }else{
                img_html = "<div class='isImg' id='-1'><img src='" + objUrl + "' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                // }
                img_html += selectStr
                    + " <button class='removeBtn' onclick='javascript:removeImg(this)'>x</button></div>";
                img_div.append(img_html);
                }
            }
            /**
             *描述：鉴定每个图片大小总和
             */
            var file_size = 0;
            var all_size = 0;
            for (j = 0; j < fileALL.length; j++) {
                file_size = fileALL[j].size;
                all_size = all_size + fileALL[j].size;
                var size = all_size / 1024;
                if (size > 500000000) {//500
                    //$(".shade").fadeIn(500);
                    //$(".text_span").text("上传的图片大小不能超过100k！");
                    toastr.warning("上传的图片大小不能超过10000000k！");
                    this.value = "";
                    $(".img_div").html("");
                    return false;
                }
            }
            /**
             *描述：鉴定每个图片宽高 以后会做优化 多个图片的宽高 暂时隐藏掉 想看效果可以取消注释就行
             */
            // var img = new Image();
            // img.src = objUrl;
            // img.onload = function() {
            // 	if (img.width > 100 && img.height > 100) {
            //      toastr.warning("图片宽高不能大于一百！");
            // 		$("#myFile").val("");
            // 		$(".img_div").html("");
            // 		return false;
            // 	}
            // }
            return true;
        });

        /**
         *描述：鉴定每个浏览器上传图片url 目前没有合并到Ie,返回值为blob的url
         */
        function getObjectURL(file) {
            var url = null;
            if (window.createObjectURL != undefined) { // basic
                url = window.createObjectURL(file);
            } else if (window.URL != undefined) { // mozilla(firefox)
                url = window.URL.createObjectURL(file);
            } else if (window.webkitURL != undefined) { // webkit or chrome
                url = window.webkitURL.createObjectURL(file);
            }
            //console.log(url);
            return url;
        }

        //blob转base64
        function blobToDataURL(blob) {
            var a = new FileReader();
            a.readAsDataURL(blob);//读取文件保存在result中
            a.onload = function (e) {
                var getRes = e.target.result;//读取的结果在result中
            }

        }
    });

    /**
     * 描述：上传图片附带删除 再次地方可以加上一个ajax进行提交到后台进行删除
     */
    function removeImg(r) {
        //获取data中的图片名
        var filename = $(r).siblings("img").attr('id');

        //删除父节点
        $(r).parent().remove();
        var fileList = Array.from(files);
        //遍历数组
        for (var j = 0; j < fileList.length; j++) {
            //通过图片名判断图片在数组中的位置然后删除
            // console.log(fileList[j].name + "111");
            if (fileList[j].name == filename) {
                fileList.splice(j, 1);
                id--;
                break;
            }
        }
        files = fileList;
        var id = $(r).parent().attr('id');
        var maxPicture = $(r).siblings("img").attr('src');


        if ($(r).parent().attr('id') != -1) {
            var target = document.getElementById('filesUpload');
            spinner.spin(target);//给id为foo的div 中绑上spinner
            $.ajax({
                url: "${path}/inHosp/delImg",
                type: "POST",
                data: {id: id, maxPicture: maxPicture},
                success: function (result) {
                    spinner.spin();
                    if (result.indexOf("成功") != -1) {
                        toastr.success(result);
                    } else {
                        toastr.error(result);
                    }
                }, error: function () {
                    //toastr.error("加载失败！");
                }
            });
        }
    }

    /**
     * 描述：上传图片附带放大查看处理
     */
    function lookBigImg(b) {
        $('#maxImg').modal({
            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
            show: true//弹出对话框
        });

        $(".shadeImg").fadeIn(500);
        $(".showImg").attr("src", $(b).attr("src"));

    }

    /**
     * 描述：关闭弹出层
     */
    function closeShade() {
        // $(".shade").fadeOut(500);
    }

    /**
     *描述：关闭弹出层
     */
    function closeShadeImg() {
        // $(".shadeImg").fadeOut(500);
    }

    //初始化类别
    var selectStr = "";

    function getAssortFun() {
        $.ajax({
            url: "${path}/inHosp/getAssort",
            type: "POST",
            data: {patientId: $("#idLab").html()},
            async: true,
            success: function (result) {
                if (result.length > 0) {
                    if (result != null) {
                        selectStr = "<select class='selectB'>";
                        for (i = 0; i < result.length; i++) {
                            selectStr += "<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>";
                            $("#inpGl").append("<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>");
                        }
                        selectStr += " </select>";
                    }
                }
            }, error: function () {
                // toastr.error("加载失败！");
            }
        });


    }

    getAssortFun();

    var opts = {
        lines: 13, // The number of lines to draw |小长条的数量
        length: 20, // The length of each line |小长条的长度
        width: 5, // The line thickness |小长条的宽度
        // left:"50%",
        radius: 15, // The radius of the inner circle |内环的半径长
        corners: 1, // Corner roundness (0..1)
        rotate: 0, // The rotation offset |旋转角度
        direction: 1, // 1: clockwise, -1: counterclockwise |1：顺时针方向 -1：逆时针方向
        color: '#3c8dbc', // #rgb or #rrggbb or array of colors |颜色
        speed: 1, // Rounds per second |每秒转多少圈
        trail: 60, // Afterglow percentage |余晖效果百分比
        shadow: false, // Whether to render a shadow |渲染阴影
        hwaccel: false, // Whether to use hardware acceleration |加速
        className: 'spinner', // The CSS class to assign to the spinner |类名spinner
        zIndex: 2e9, // The z-index (defaults to 2000000000) |显示在最顶层
        top: '70%', // Top position relative to parent in px |相对父元素的top
        //left: '90' // Left position relative to parent in px |相对父元素的left ，默认情况spinner是显示于父元素居中位置

    };
    var spinner = new Spinner(opts);

    var url = "";

    function uploadFileFun() {
        var formData = new FormData();
        formData.append('file', $('#addFile')[0].files[0]);
        formData.append('fileName', $("#outDateLab").val());
        formData.append('id', $("#inpId").val());
        formData.append('masterID', $("#idLab").html());
        formData.append('assortID', $("#inpType").val());
        // $('#addFile').attr("src", $("#outDateLab").val() + ".pdf");
        $.ajax({
            url: "${path}/inHosp/uploadImg",
            scriptCharset: "UTF-8",
            contentType: "application/x-www-form-urlencoded; charset=UTF-8",
            type: 'POST',
            cache: false,
            data: formData,
            processData: false,
            contentType: false,
            success: function (result) {
                if (result.indexOf("文件") == -1) {
                    toastr.success("上传成功!");
                    $('#addFile').attr("src", result);
                    url = result;
                    $('#previewFile').css("display", "block");//显示预览按钮
                } else {
                    toastr.warning(result);
                }
            }, error: function (result) {

                //$('#addFile').attr("src", $("#outDateLab").val() + ".pdf");//.val($("#outDateLab").val()+".pdf");
                toastr.error("上传失败！");
            }
        });

    }

    function blobToDataURL(blob, callback) {

        var a = new FileReader();

        a.onload = function (e) {

            callback(e.target.result);

        }

        a.readAsDataURL(blob);

    }

    function blobToFile(blob, fileName) {
        blob.lastModifiedDate = new Date();
        blob.name = fileName;
        return blob;
    }

    function imgSelectFun() {
        var img_div = $(".img_div");
        if ($("#inpGl").val() != "非类型") {
            var target = document.getElementById('divImg');
            spinner.spin(target);//给id为foo的div 中绑上spinner
            var data = {};
            data.relationId = $("#idLab").html();
            data.assortId = $("#inpGl").val();

            $.ajax({
                url: "${path}/inHosp/getPicList",
                type: "post",
                data: data,
                success: function (result) {
                    if (result != null) {
                        img_div.empty();
                        for (var i = 0; i < result.length; i++) {
                            /**
                             *若规则全部通过则在此提交url到后台数据库
                             */
                                //selectStr= selectStr.replace(result[i].assortId+'\"','\" selected');
                                //console.log(result[i].maxPicture);
                            var fileName = result[i].maxPicture.split("\\");
                            var parentdiv = $("<div class='isImg' id='" + result[i].id + "'></div>");
                            var imgTig = $("<img  onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;'/>");        //创建一个img
                            imgTig.attr('id', fileName[fileName.length - 1]);
                            //imgTig.attr('src', result[i].maxPicture);
                            if (result[i].maxPicture.indexOf(".") != -1) {
                                //console.log(result[i].maxPicture);
                                imgTig.attr('src', result[i].maxPicture);
                                // img_html = "<div class='isImg' id='-1'><img src='require(" + objUrl + ")' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                            }
                            parentdiv.append(imgTig);        //将子div添加到父div中
                            //parentdiv.addclass('parentdiv');    //添加css样式
                            var subBtn = $("<button class='removeBtn' onclick='javascript:removeImg(this)'>x</button>");
                            parentdiv.append(selectStr);
                            parentdiv.append(subBtn);
                            img_div.append(parentdiv);
                            // img_html = "<div class='isImg' id='" + result[i].id + "'><img src='" + result[i].maxPicture + "' id='" + fileName[fileName.length - 1] + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                            //     + selectStr//+"<label  class='oldSel' id='oldSel"+i+"' value='"+result[i].assortId+"' hidden></label>"
                            //     + " <button class='removeBtn' onclick='javascript:removeImg(this)'>x</button></div>";
                            //img_div.append(img_html);

                            img_div.find("select").eq(i).val(result[i].assortId);
                        }
                    } else {
                        toastr.success("暂无数据！");
                    }
                    spinner.spin();

                },
                error: function () {
                    toastr.error("获取图片列表失败！");
                }
            });
        } else {
            img_div.empty();
        }

    }

    $("#imgBtn").click(function () {
        //console.log("===查询图片列表===");
        //var target = document.getElementById('filesUpload');
        imgSelectFun();

    });

    $("#imgsSaveBtn").click(function () {
        //console.log("===保存图片===");
        var spinner1 = new Spinner(opts);
        var target = document.getElementById('divImg');


        var fileArr = [];
        var b = 0;
        //获取图片src和下拉框值
        var div_p = $(".img_div").children();
        var div_data = div_p.children();
        if (div_data != null)
            for (var i = 0; i < div_data.length; i++) {
                //if(div_data[i].getAttribute('src')!=null && div_data[i].getAttribute('src') != "") {
                // console.log("第" + (i + 1) + "个的src=" + div_data[i].getAttribute('src'));
                //obj.fileSrc= div_data[i].getAttribute('src');
                //obj.fileSrc = obj.fileSrc;
                //var s=new File([obj.fileSrc], "a"+i+".jpg");
                //files.push(s);
                //console.log(obj.fileSrc);
                //}
                if (div_data[i].value != null && div_data[i].value != "") {
                    var obj = {};
                    //console.log("第select" + (i + 1) + "个的value=" + div_data[i].value);
                    obj.selectVal = div_data[i].value;
                    if (b < div_data.length / 2) {
                        obj.id = div_p[b].id;
                        b++;
                    }
                    fileArr.push(obj);
                }
                // if (div_data[i].id.indexOf("oldSel")!=-1) {
                //     console.log("第Lable" + (i + 1) + "html=" + div_data[i].getAttribute('value'));
                // }

            }

        if (fileArr.length > 0) {
            spinner1.spin(target);//给id为foo的div 中绑上spinner
            //创建FormData根据form
            var uploadFile = new FormData($("#filesUpload")[0]);
            uploadFile.append('fileName', $("#outDateLab").val());
            uploadFile.append('masterID', $("#idLab").html());
            uploadFile.append('assortid', $("#inpGl").val());
            uploadFile.append("list", JSON.stringify(fileArr));
            //console.log(fileArr);
            //遍历图片数组把图片添加到FormData中
            for (var i = 0; i < files.length; i++) {
                uploadFile.append("imgs", files[i]);
            }

            if ("undefined" != typeof (uploadFile) && uploadFile != null && uploadFile != "") {
                //通过ajax上传
                $.ajax({
                    url: "${path}/inHosp/uploadImgS",
                    type: "post",
                    data: uploadFile, //把FormData作为参数
                    contentType: false, //不设置内容类型
                    processData: false, //不处理数据
                    success: function (data) {
                        initTree($("#idLab").html());
                        setTimeout(function () {
                            imgSelectFun();
                            if (data.indexOf("成功") != -1) {
                                toastr.success(data);
                            } else if (data.indexOf("成功") != -1) {
                                toastr.error(data);
                            } else {
                                toastr.warning(data);
                            }
                            spinner1.spin();
                        }, 2000);

                        files = new Array();
                    },
                    error: function () {
                        spinner1.spin();
                        toastr.error("批量上传失败！");
                    }
                });


            }
        } else {
            toastr.warning("请选择上传的图片！");
        }


    });

    $("#uploadBtn").click(function () {
        // console.log("批量上传图片模态框");
        $('#pdfModal').modal({
            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
            show: true//弹出对话框
        });
    });


    $('#addFile').on('change', function () {
        //判断文件类型，并上传pdf
        uploadFileFun();
    });

    $("#previewFile").on('click', function () {
        //上传后预览pdf文件
        var fileUrl = $("#fileUrlInp").val();
        //console.log(fileUrl);
        var pdfUrl = "${path}/static/pdfjs/web/viewer.html?file=" + fileUrl;
        if (fileUrl != null && fileUrl != "") {
            window.open(pdfUrl, 'PDF', 'width:50%;height:50%;top:100;left:100;');

        }
    });
    $(function () {
        initDateInput('startDateTo','endDateTo');
        var url = window.location.href;
        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
        if (index != null && index != "" && index.indexOf("excel") != -1) {
            $("#excelBtn").show();
            $("#toolbar").show();
        } else {
            $("#excelBtn").hide();
            $(".columns-right").hide();
        }
        if (index != null && index != "" && index.indexOf("upload") != -1) {
            $("#uploadBtn").show();
        } else {
            $("#uploadBtn").hide();
        }
        if (index != null && index != "" && index.indexOf("pdf") != -1) {
            $("#pdfBtn").show();
        } else {
            $("#pdfBtn").hide();
        }
        if (index != null && index != "" && index.indexOf("pdf2") != -1) {
            $("#pdfBtn2").show();
        } else {
            $("#pdfBtn2").hide();
        }
        if (index != null && index != "" && index.indexOf("cancelAll") != -1) {
            $("#updateStateBtn").show();
        } else {
            $("#updateStateBtn").hide();
        }
        if (index != null && index != "" && index.indexOf("useAll") != -1) {
            $("#updateStateBtn2").show();
        } else {
            $("#updateStateBtn2").hide();
        }

        var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
        var deptArr = deptAdmissionTo.split(',');
        //var n = (deptAdmissionTo.split(',')).length ;
        if (deptAdmissionTo == null || deptAdmissionTo == '' || deptArr.length >1) {
            $('#deptDiv').show();
        } else {
            $('#deptDiv').hide();
        }

        function getDept() {
            //获取科室列表
            $.ajax({
                url: "${path}/inHosp/getDept",
                type: "POST",
                data: {effective: 1, typecode: "dept_code"},
                success: function (result) {
                    if (result != null) {
                        for (var i = 0; i < result.length; i++) {
                            if(deptArr.length != 1 && deptArr[0]!= "") {
                                var bol = deptArr.indexOf(result[i].code);
                                if (bol != -1) {
                                    $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                                }
                            }else{
                                $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                            }
                        }
                    }
                    $(".selectpicker").selectpicker('refresh'); //
                }
            });
        }

        getDept();

    });


    <%--function getDept() {--%>
        <%--//获取科室列表--%>
        <%--$.ajax({--%>
            <%--url: "${path}/inHosp/getDept",--%>
            <%--type: "POST",--%>
            <%--data: {effective: 1, typecode: "dept_code"},--%>
            <%--success: function (result) {--%>
                <%--if (result != null) {--%>
                    <%--for (var i = 0; i < result.length; i++) {--%>
                        <%--$("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");--%>
                    <%--}--%>
                <%--}--%>
            <%--}--%>
        <%--});--%>
    <%--}--%>

    <%--getDept();--%>

    //处理导出内容,这个方法可以自定义某一行、某一列、甚至某个单元格的内容,也就是将其值设置为自己想要的内容
    function DoOnCellHtmlData(cell, row, col, data) {
        if (row == 0) {
            return data;
        }

        //由于备注列超过6个字的话,通过span标签处理只显示前面6个字,如果直接导出的话会导致内容不完整,因此要将携带完整内容的span标签中title属性的值替换
        if (col == 4 || col == 11 || col == 7) {
            var spanObj = $(data);//将带 <span title="val"></span> 标签的字符串转换为jQuery对象
            var title = spanObj.attr("title");//读取<span title="val"></span>中title属性的值
            //var span = cell[0].firstElementChild;//读取cell数组中的第一个值下的第一个元素
            if (typeof (title) != 'undefined') {
                return title;
            }
        }

        return data;
    }

    function initTable() {
        if(tipLoad==1){
            $("#table").bootstrapTable({ // 对应table标签的id
                //method: 'POST',
                url: "${path}/inHosp/inHospitalList", // 获取表格数据的url
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //是否显示行间隔色
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                smartDisplay: false,
                pageSize: 2, // 页面数据条数
                pageNumber: 1, // 初始化加载第一页，默认第一页
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                search: false,
                showColumns: true,
                // sortable: true,
                // sortOrder: "asc",
                toolbar: '#toolbar',//指定工具栏
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                height: 560,     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                //是否显示导出按钮
                showExport: true,
                //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
                exportDataType: "basic",
                //导出文件类型
                exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
                exportOptions: {
                    fileName: document.title
                },
                // showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
                // cardView: false,                    //是否显示详细视图
                // detailView: false,                   //是否显示父子表
                queryParams: function (params) {
                    var currPageSize = this.pageSize;
                    if (currPageSize == 2) {
                        currPageSize = 10;
                    }
                    var limit = null;
                    var offset = params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset = 0;
                        limit = this.totalRows;
                        this.pageSize = limit;
                    } else {
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }

                    // var deptList=[];
                    // deptList.push("20050102");
                    // deptList.push("20070102");

                    var url = window.location.href;
                    var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");


                    // if ($("#deptName").val() != "" && $("#deptName").val() != "") {
                    //     deptAdmissionTo = $("#deptName").val();
                    // }
                    var len = ($("#deptName").val()).length;
                    if (len>0) {

                        var deptName = $("#deptName").val();
                        if (deptName.indexOf("") != -1) {
                            if (deptAdmissionTo != null && deptAdmissionTo != '') {
                                deptAdmissionTo += "," + $("#deptAdmissionTo").val();
                            } else if ($("#deptAdmissionTo").val() != null && $("#deptAdmissionTo").val() != '') {
                                deptAdmissionTo = $("#deptAdmissionTo").val();
                            }
                        } else {
                            deptAdmissionTo = $("#deptName").val().toString();
                        }
                    }else{
                        if (deptAdmissionTo != null && deptAdmissionTo != '') {
                            deptAdmissionTo += "," + $("#deptAdmissionTo").val();
                        } else if ($("#deptAdmissionTo").val() != null && $("#deptAdmissionTo").val() != '') {
                            deptAdmissionTo = $("#deptAdmissionTo").val();
                        }
                    }

                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset,   //页码
                        order: params.order,      //排位命令（desc，asc）
                        id: $("#id").val(),
                        idNo: $("#idNo").val(),
                        inpNo: "" + $("#inpNo").val(),
                        visitId: "" + $("#visitId").val(),
                        name: "" + $("#name").val(),
                        //deptName: "" + $("#deptName").val(),
                        archivestate: "在院",
                        startDateTo: $("#startDateTo").val(),
                        endDateTo: $("#endDateTo").val(),
                        deptAdmissionTo: deptAdmissionTo,
                        doctorInCharge:$("#doctorInCharge").val(),
                        isSearch:$("#isSearch").val()
                    };
                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 25,
                    align: 'center',
                    valign: 'middle'

                }, {
                    title: '病案清单id',
                    field: 'id',
                    align: 'left',
                    valign: 'middle',
                    visible: false
                },
                    {
                        title: '住院号',
                        field: 'inpNo',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '住院次数',
                        field: 'visitId',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '姓名',
                        field: 'name',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '性别',
                        field: 'sex',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '身份证号',
                        field: 'idNo',
                        align: 'center',
                        valign: 'middle',
                        visible: false
                    },
                    {
                        title: '当前科室',
                        field: 'deptName',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '入院日期',
                        field: 'admissionDateTime',
                        align: 'center',
                        formatter: function (value, row, index) {
                            return operDisDate(value);
                        }
                    },
                    {
                        title: '主管医生',
                        field: 'doctorInCharge',
                        align: 'left'
                    },
                    // {
                    //     title: '出院科室',
                    //     field: 'deptName',
                    //     align: 'center',
                    //     valign: 'middle',
                    // },
                    // {
                    //     title: '出院日期',
                    //     field: 'dischargeDateTime',
                    //     align: 'center',
                    //     valign: 'middle',
                    //     // formatter: function (value, row, index) {
                    //     //     return value
                    //     // }
                    // },
                    {
                        title: '状态',
                        field: 'archivestate',
                        align: 'center',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            //在院  未归档  归档中  初审 已归档 已认证
                            var a = '';
                            if (value == "未归档") {
                                a = '<span style="color:#c12e2a;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "已归档") {
                                a = '<span style="color:#030378"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "在院") {
                                a = '<span style="color:#bfa200"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "归档中") {
                                a = '<span style="color:#698B69"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "初审") {
                                a = '<span style="color:#8FBC8F"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "已认证") {
                                a = '<span style="color:#FF7F24"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            }
                            return a;
                        }
                    },
                    {
                        title: "操作",
                        align: 'left',
                        valign: 'middle',
                        width: 80, // 定义列的宽度，单位为像素px
                        formatter: function (value, row, index) {
                            var url = window.location.href;
                            var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
                            var html = "";
                            if (index != null && index != "" && index.indexOf("select") != -1) {
                                //return '<button class="btn btn-danger btn-sm" onclick="selectFun(\'' + row + '\')">查看 </button>';
                                html = '<button type="button" class="btn btn-danger btn-sm selInfo" >查看 </button>';// '<a href="javascript:;" class="delete">删除</a>';
                            }
                            return html;

                        }, events: {
                            'click .selInfo': function (e, value, row, index) {
                                //查询是否医生或护士是否提交
                                var result = 1;
                                result = selectHis(row);
                                if (result == 1) {
                                } else if(result == -1){
                                    toastr.warning("系统出错了请联系系统管理员");
                                }else {
                                    toastr.warning('医生或护士未提交数据，请稍后再试');
                                }
                                $('#selModal').modal({
                                    backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                    keyboard: true,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                    show: true//弹出对话框
                                });

                                //删除缓存
                                //删除病历清单分段树选中
                                $("#assortId").html(0);
                                //删除病历清单查看单个pdf复选框选中信息
                                idArr = [];

                                //同步
                                $("#idLab").html(row.id);
                                $("#nameLab").html(row.name);
                                //入院
                                if(row.admissionDateTime!=null&& row.admissionDateTime!='') {
                                    $("#inDateLab").html(row.admissionDateTime.substring(0, 10));
                                }
                                $("#chargeLab").html(row.doctorInCharge);
                                $("#deptToLab").html(row.deptAdmissionTo);
                                $("#outHospLab").html(row.dischargeDisposition);
                                //出院
                                if(row.dischargeDateTime!=null&& row.dischargeDateTime!='') {
                                    $("#inDateLab1").html(row.dischargeDateTime.substring(0, 10));
                                }
                                $("#deptToLab1").html(row.deptName);

                                $("#inLab").html(row.inpNo);
                                $("#inTimeLab").html(row.visitId);
                                //入/出院年+出院月+住院号+住院次数
                                var outDate="";
                                if (row.dischargeDateTime != null && row.dischargeDateTime != "") {
                                    outDate = row.dischargeDateTime.split("-");
                                } else if (row.admissionDateTime != null && row.admissionDateTime == "") {
                                    outDate = row.admissionDateTime.split("-");
                                }
                                $("#outDateLab").val(outDate[0] + "" + outDate[1] + "" + row.inpNo.trim() + "" + row.visitId + "");
                                initTree(row.id);
                                //加载文件列表
                                initTable2();
                            }
                        },
                        cellStyle: function (value, row, index) {
                            return {classes: 'success'}
                        }
                    }
                ],
                onLoadSuccess: function (result) {  //加载成功时执行
                    // console.info("加载成功");
                    tipLoad = 0;
                },
                onLoadError: function () {  //加载失败时执行
                    //console.info("加载数据失败");
                    tipLoad = 0;
                }
            });
        }
    }

    var idArr = [];

    $("#selModal").keydown(function (e) {
        if (e.keyCode == 13) {
            event.preventDefault();//禁用默认回车事件
        }
    });

    //查询
    $('#searchBtn').click(function () {
        if(tipLoad==0) {
            $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
        }else{
            toastr.warning("正在查询，请稍等...");
        }
    });

    //获取table的高度
    function getHeight() {
        return $(window).height() - 100;
    }

    initTable();


    //2.初始化select的change事件
    $("#sel_exportoption").change(function () {
        $('#table').bootstrapTable('refreshOptions', {
            exportDataType: $(this).val()
        });
    });
    $("#refreshBtn").click(function () {
        //刷新
        $('#table').bootstrapTable('refresh');
    });

    //导出excel功能
    $("#excelBtn").click(function () {
        var id = "" + $("#id").val();
        var inpNo = "" + $("#inpNo").val();
        var visitId = "" + $("#visitId").val();
        var name = "" + $("#name").val();
        var idNo = "" + $("#idNo").val();
        //var deptName = "" + $("#deptName").val();
        var archivestate = "在院";
        var startDateTo = $("#startDateTo").val();
        var endDateTo = $("#endDateTo").val();
        var url = window.location.href;
        var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
        // if (deptAdmissionTo != null && deptAdmissionTo != '') {
        //     deptAdmissionTo +=  "," + $("#deptAdmissionTo").val();
        // } else {
        //     deptAdmissionTo = $("#deptAdmissionTo").val();
        //     //$('#deptDiv').attr('display', 'black');
        // }
        // if ($("#deptName").val() != null || $("#deptName").val() != '') {
        //     deptAdmissionTo = $("#deptName").val();
        // }
        // if (deptName != null) {
        //     if (deptName == ",") {
        //         deptName = "";
        //     }
        // }
        var len = ($("#deptName").val()).length;
        if (len > 0) {
            var deptName = $("#deptName").val();
            if (deptName.indexOf("") != -1) {
                if (deptAdmissionTo != null && deptAdmissionTo != '') {
                    deptAdmissionTo += "," + $("#deptAdmissionTo").val();
                } else if ($("#deptAdmissionTo").val() != null && $("#deptAdmissionTo").val() != '') {
                    deptAdmissionTo = $("#deptAdmissionTo").val();
                }
            } else {
                deptAdmissionTo = $("#deptName").val().toString();
            }
        } else {
            if (deptAdmissionTo != null && deptAdmissionTo != '') {
                deptAdmissionTo += "," + $("#deptAdmissionTo").val();
            } else if ($("#deptAdmissionTo").val() != null && $("#deptAdmissionTo").val() != '') {
                deptAdmissionTo = $("#deptAdmissionTo").val();
            }
        }

        window.location.href = "${path}/inHosp/exportExcel?inpNo=" + inpNo + "&visitId=" + visitId +
            "&name=" + name  + "&archivestate=" + archivestate + "&startDateTo=" + startDateTo
            + "&endDateTo=" + endDateTo + "&deptAdmissionTo=" + deptAdmissionTo+"&isSearch="+$("#isSearch").val()+"&doctorInCharge="+$("#doctorInCharge").val();

    });

    var zNodes = [];
    var nodeList = [];

    function initTree(patientId) {
        var target = document.getElementById('foo');
        spinner.spin(target);//给id为foo的div 中绑上spinner
        zNodes = [];
        //获取所有分段列表
        $.ajax({
            url: "${path}/inHosp/getAssort",
            type: "POST",
            data: {patientId: patientId},
            async: true,
            success: function (result) {
                zNodes.push({id: 0, pId: 0, name: "分段列表", open: true});
                if (result.length > 0) {
                    for (var i = 0; i < result.length; i++) {
                        //下拉类别
                        $("#inpType").append("<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>");
                        //树列表
                        var obj = {};
                        obj.id = result[i].assortId;
                        obj.pId = 0;
                        obj.name = "" + result[i].assortName + "(" + (result[i].pageNum) + ")";
                        obj.assortSort = result[i].assortSort;
                        obj.patientId = result[i].patientId;
                        obj.printFlag = result[i].printFlag;
                        zNodes.push(obj);
                    }
                }
                //$.fn.zTree.init($("#ztree"), setting, zNodes);
                var treeObj = $.fn.zTree.init($("#ztree"), setting, zNodes);
                /*var node;
                var currId = $("#assortId").html();
                if (currId != "" && currId != null) {
                    //修改选中已选节点
                    node = treeObj.getNodeByParam("id", currId);
                } else {*/
                    //添加选中父节点
                    var node = treeObj.getNodeByParam("id", 0);
                //}
                treeObj.selectNode(node, true);//将指定ID的节点选中
                $('#table2').bootstrapTable('refresh');
                spinner.spin();
            }, error: function () {
                // toastr.error("加载失败！");
            }
        });


    }

    var setting = {
        view: {
            addHoverDom: false,
            removeHoverDom: false,
            selectedMulti: false,
            autoCancelSelected: false
        },
        check: {
            enable: true
        },
        data: {
            simpleData: {
                enable: true,
                idKey: "id",
                pIdKey: "pId",
                rootPId: "0"
            }
        },
        edit: {
            enable: false
        },
        callback: {
            beforeClick: function (treeId, treeNode) {
                idArr = [];
                $("#assortId").html(treeNode.id);
                //查询之后重新从第一页算起
                $('#table2').bootstrapTable('refreshOptions', {limit: 1, offset: 10});
                //刷新
                $('#table2').bootstrapTable('refresh');
            }

        }
    };

    function searchNode() {
        var zTree = $.fn.zTree.getZTreeObj("ztree");
        var value = $("#key").val();
        if (value == "") {
            var nodes = zTree.getNodesByParam("isHidden", true);
            zTree.showNodes(nodes);
        } else {
            nodeList = zTree.getNodesByParamFuzzy("name", value);
            var nodes = zTree.getNodes();
            zTree.hideNodes(nodes[0].children);
            updateNodes(true);
        }
        zTree.expandAll(true);
    }

    function updateNodes(highlight) {
        var zTree = $.fn.zTree.getZTreeObj("ztree");
        for (var i = 0, l = nodeList.length; i < l; i++) {
            zTree.showNode(nodeList[i]);
        }
    }

    $(document).keydown(function (event) {
        if (event.keyCode == 13) {
            searchNode();
        }
    });

    //展开
    function expandAll() {
        var treeObj = $.fn.zTree.getZTreeObj("ztree");
        treeObj.expandAll(true);
    }

    //收缩
    function collapseAll() {
        var treeObj = $.fn.zTree.getZTreeObj("ztree");
        treeObj.expandAll(false);
    }

    $("#searchBtn1").click(function () {
        searchNode();
    });

    $("#updateStateBtn").click(function () {
        //选中批量作废
        var id = idArr.toString();
        //判断id
        if(id==null || id==''){
           toastr.warning("请选择记录！");
           return;
        }
        $.ajax({
            url: "${path}/inHosp/updateStateAll",
            type: "POST",
            data: {"id": id, flag: "1"},
            success: function (result) {
                if (result == 1) {
                    //刷新
                    $('#table2').bootstrapTable('refresh');
                    toastr.success("批量作废成功！");
                } else {
                    toastr.error("批量作废失败，无记录！");
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });
    });

    $("#updateStateBtn2").click(function () {
        //选中批量使用
        var id = idArr.toString();
        //判断id
        if (id == null || id == '') {
            toastr.warning("请选择记录！");
            return;
        }
        $.ajax({
            url: "${path}/inHosp/updateStateAll",
            type: "POST",
            data: {"id": id, flag: "0"},
            success: function (result) {
                if (result == 1) {
                    //刷新
                    $('#table2').bootstrapTable('refresh');
                    toastr.success("批量使用成功！");
                } else {
                    toastr.error("批量使用失败，无记录！");
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });
    });

    // function submitForm(i) {
    //     var formDate = new FormData($("#form2")[0]);
    //     $.ajax({
    //         url: 'upload_importFile.do?ccqoid=' + i,
    //         type: 'POST',
    //         data: formDate,
    //         async: false,
    //         cache: false,
    //         contentType: false,
    //         processData: false,
    //         success: function (data) {
    //             if (data.success) {
    //                 //$.messager.alert('提示', '导入成功!');
    //             }
    //         },
    //         error: function (returndata) {
    //
    //         }
    //     });
    // };

    $("#stateBtn").click(function () {
        $('#exampleModal').modal('hide');  //手动关闭
        var id = $("#idT").val();
        //console.log("===作废事件=======" + id);
        $.ajax({
            url: "${path}/inHosp/updateState",
            type: "POST",
            data: {"id": id, flag: "1"},
            success: function (result) {
                if (result == 1) {
                    //刷新
                    $('#table2').bootstrapTable('refresh');
                    toastr.success("作废成功！");
                } else {
                    toastr.error("作废失败，无该条记录！");
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });

    });

    // $("#addBtn").click(function () {
    //     $("#inpId").val("");
    //     $("#inpTitle").val("");
    //     $("#inpSource").val("后台");
    //     $("#inpFlag").val("0");
    //     $('#assortModal').modal({
    //         backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
    //         keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
    //         show: true//弹出对话框
    //     });
    // });

    function inpFun() {
        var temp = {};
        temp.id = $("#inpId").val();
        temp.title = $("#inpTitle").val();
        temp.assortid = $("#inpType").val();
        temp.source = $("#inpSource").val();
        temp.flag = $("#inpFlag").val();
        temp.masterid = $("#idLab").html();
        temp.sys = "emr_medical_record";
        return temp
    }

    $("#saveBtn").click(function () {
        if ($("#inpTitle").val().length > 100) {
            toastr.warning("内容长度不超过100！");
            return;
        }
        $.ajax({
            url: "${path}/inHosp/saveInfo",
            type: "POST",
            data: inpFun(),
            success: function (result) {
                if (result.indexOf("成功") != -1) {
                    $('#assortModal').modal('hide');  //手动关闭
                    //获取选中节点
                    initTree($("#idLab").html());
                    toastr.success(result);
                } else {
                    toastr.error(result);
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });
    });


    jQuery(function ($) {
        //解决模态框背景色越来越深的问题
        $(document).on('show.bs.modal', '.modal', function (event) {
            $(this).appendTo($('body'));
        }).on('shown.bs.modal', '.modal.in', function (event) {
            setModalsAndBackdropsOrder();
        }).on('hidden.bs.modal', '.modal', function (event) {
            setModalsAndBackdropsOrder();
        });

        function setModalsAndBackdropsOrder() {
            var modalZIndex = 1040;
            $('.modal.in').each(function (index) {
                var $modal = $(this);
                modalZIndex++;
                $modal.css('zIndex', modalZIndex);
                $modal.next('.modal-backdrop.in').addClass('hidden').css('zIndex', modalZIndex - 1);
            });
            $('.modal.in:visible:last').focus().next('.modal-backdrop.in').removeClass('hidden');
        }

        //覆盖Modal.prototype的hideModal方法
        $.fn.modal.Constructor.prototype.hideModal = function () {
            var that = this
            this.$element.hide()
            this.backdrop(function () {
                //判断当前页面所有的模态框都已经隐藏了之后body移除.modal-open，即body出现滚动条。
                $('.modal.fade.in').length === 0 && that.$body.removeClass('modal-open')
                that.resetAdjustments()
                that.resetScrollbar()
                that.$element.trigger('hidden.bs.modal')
            })
        }
    });


</script>
<script src="${path}/static/js/hospitalLoadPdf/loadPdf.js?time=2020-09-28"></script>
</html>