﻿﻿<%@ page language="java" import="java.util.*" pageEncoding="UTF-8" contentType="text/html;charset=UTF-8" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>病案归档系统</title>
    <meta charset="utf-8">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <%--<meta content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no" name="viewport">--%>
    <%@ include file="/WEB-INF/jspf/common.jspf" %>
    <script type="text/javascript" src="${path}/static/js/menu.js?time=2019-12-15"></script>
    <style>
        .hidden-xs{
            max-width: 200px;
            overflow: hidden;
            text-overflow: ellipsis;
            white-space: nowrap;
        }
        .logo{
            height: 59px!important;
        }
        .indexSelected{
            background-color: #42515F;
        }
    </style>
</head>

<script type="text/javascript">
    function uniq(array){
        var temp = [];
        var index = [];
        var l = array.length;
        for(var i = 0; i < l; i++) {
            for(var j = i + 1; j < l; j++){
                if (array[i] === array[j]){
                    i++;
                    j = i;
                }
            }
            temp.push(array[i]);
            index.push(i);
        }
        return temp;
    }
    $(function () {
        function ajaxJsonFun() {
            //拥有的功能
            var str = "";
            //所属科室
            var depts = "";
            if (${menuList == null}){
                $('#exampleModal').modal({
                    backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                    keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                    show: true//弹出对话框
                });
                return ;
            }else if (${menuList != null}) {
                var menuList = <%=session.getAttribute("menuList")%>;//${menuList == null} ? window.location.href = "login.jsp" :${menuList};
                if (menuList != "") {
                    if (menuList.code == 100) {
                        var list = menuList.extend.list;
                        if (list != null) {
                            var sysUL;
                            var count = 100000;
                            var deptArr = [];
                            for (var i = 0; i < list.length; i++) {
                                if(list[i].deptCode != ''){
                                    deptArr.push(list[i].deptCode);
                                }
                            }
                            var deptList = '';
                            if(deptArr != ''){
                                deptList = uniq(deptArr);
                            }
                            var depts = '';
                            //判断是否包含免科室
                            var isAllDept = false;
                            if(list[0].deptId != null){
                                isAllDept = judgeIsAllDept(list[0].deptId);
                            }
                            if(deptList != '' && !isAllDept){
                                for (var i = 0; i < deptList.length; i++) {
                                    if(i != deptList.length-1){
                                        depts += deptList[i] + ",";
                                    }else{
                                        depts += deptList[i];
                                    }
                                }
                            }
                            for (var i = 0; i < list.length; i++) {
                                if (list[0].deptId == list[i].deptId) {
                                    if (list[i].methodParent != 0 && (list[i].menuUrl == "#" || list[i].menuUrl == "" || list[i].menuUrl == null)) {
                                        var mulLi = newLiFun();
                                        var mulA = newAFun(list[i].menuName, list[i].menuIcon);
                                        mulLi.append(mulA);
                                        var menuAUL = newUlFun();
                                        //sysUL = liFun(list[i].menuName,list[i].menuIcon);
                                        /*菜单*/
                                        for (var j = 0; j < list.length; j++) {
                                            if (list[i].menuId == list[j].methodParent) {
                                                if (list[0].deptId == list[j].deptId) {
                                                    str = "";
                                                    /*功能值*/
                                                    for (var x = 0; x < list.length; x++) {
                                                        //console.log(list[x].methodParent + "=====" + list[j].menuId);
                                                        if (list[x].method != null && list[x].method != "" && list[x].methodParent == list[j].menuId) {
                                                            //console.log(list[x].methodParent+"====="+ list[j].menuId);
                                                            str += list[x].methodType + ",";
                                                        }
                                                    }
                                                    if (str.indexOf("undefined") != -1) {
                                                        str = "";
                                                    }
                                                    if(count > list[j].methodSort){
                                                        count = list[j].methodSort;
                                                        sysUL = "/emr_medical_record" + list[j].menuUrl + "?num=" + str + "&depts=" + depts;
                                                    }
                                                    var menuALi = newAliFun(list[j].menuName, list[j].menuIcon, "/emr_medical_record" + list[j].menuUrl + "?num=" + str + "&depts=" + depts);
                                                    menuAUL.append(menuALi);
                                                    mulLi.append(menuAUL);
                                                }
                                            }
                                        }
                                        $("#iFrame1").prop('src',sysUL);
                                        $('#indexTreeMenu').append(mulLi);
                                    }
                                }
                            }
                        }
                    }
                }
            }
        };
        ajaxJsonFun();
        $("#stateBtn").click(function () {
            $('#exampleModal').modal('hide');  //手动关闭
        });
        //判断是否免科室
        function judgeIsAllDept(deptIdTemp){
            //获取免科室的科室集合
            var isAllDeptIds = $("#isAllDeptIds").val();
            if(isAllDeptIds != ''){
                var isAllDeptIdArr = isAllDeptIds.split(",");
                var deptIdTempArr = deptIdTemp.split(",");
                //判断该登陆者所属科室是否包含在免科室内
                for(var i = 0;i<isAllDeptIdArr.length;i++){
                    var deptId = isAllDeptIdArr[i];
                   if(deptId != ''){
                       for(var j = 0;j<deptIdTempArr.length;j++){
                           var deptIdTempTemp = deptIdTempArr[j];
                           if(deptId == deptIdTempTemp){
                               return true;
                           }
                       }
                   }
                }
                return false;
            }else{
                return false;
            }
        }
    });
</script>
<body class="skin-blue" data-spy="scroll" data-target="#scrollspy">
<!--不受科室限制的科室id-->
<input type="hidden" id="isAllDeptIds" value="${isAllDeptIds}">
<div class="wrapper">

    <header class="main-header">
        <!-- Logo -->
        <a href="../index2.html" class="logo">
            <!-- mini logo for sidebar mini 50x50 pixels -->
            <%--<span class="logo-mini"><b>A</b>LT</span>--%>
            <!-- logo for regular state and mobile devices -->
            <p>病案归档系统</p>
        </a>
        <!-- Header Navbar: style can be found in header.less -->
        <nav class="navbar navbar-static-top" role="navigation">
            <!-- Sidebar toggle button-->
            <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button">
                <span class="sr-only">Toggle navigation</span>
            </a>
            <!-- Navbar Right Menu -->
            <div class="navbar-custom-menu">
                <ul class="nav navbar-nav">
                    <li class="user user-menu">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                            <img src="${path}/static/bootstrap-3.3.7/dist/img/user2-160x160.jpg" class="user-image"
                                 alt="User Image">
                            <c:choose>
                                <c:when test="${CURRENT_USER.remark == '' || CURRENT_USER.remark == null || CURRENT_USER.remark == 'null'}">
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.userPosition != null && CURRENT_USER.userPosition != '' && CURRENT_USER.userPosition != 'null'}">
                                            <p class="hidden-xs" title="${CURRENT_USER.userPosition}">${CURRENT_USER.userPosition}</p>
                                        </c:when>
                                        <c:otherwise>
                                            <p class="hidden-xs" title="${CURRENT_USER.userName}">${CURRENT_USER.userName}</p>
                                        </c:otherwise>
                                    </c:choose>
                                </c:when>
                                <c:otherwise>
                                    <c:choose>
                                        <c:when test="${CURRENT_USER.userPosition != null && CURRENT_USER.userPosition != '' && CURRENT_USER.userPosition != 'null'}">
                                            <p class="hidden-xs" title="${CURRENT_USER.userPosition}(${CURRENT_USER.remark})">${CURRENT_USER.userPosition}(${CURRENT_USER.remark})</p>
                                        </c:when>
                                        <c:otherwise>
                                            <p class="hidden-xs" title="${CURRENT_USER.userName}(${CURRENT_USER.remark})">${CURRENT_USER.userName}(${CURRENT_USER.remark})</p>
                                        </c:otherwise>
                                    </c:choose>
                                </c:otherwise>
                            </c:choose>
                        </a>
                    </li>
                    <li>
                        <div class="margin">
                            <div class="btn-group">
                                <button type="button" class="btn btn-default">操作</button>
                                <button type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown"
                                        aria-expanded="false" style="height:34px">
                                    <span class="caret"></span>
                                    <span class="sr-only">Toggle Dropdown</span>
                                </button>
                                <ul class="dropdown-menu" role="menu">
                                    <%--<li><a href="#">帮助</a></li>
                                    <li><a href="#">联系我们</a></li>--%>
                                    <li><a href="${POWER_URLHEAD}/gatewayPage">返回首页</a></li>
                                    <li class="divider"></li>
                                    <li><a href="${POWER_URLHEAD}/logout?token=${token}">退出登陆</a></li>
                                </ul>
                            </div>
                        </div>
                    </li>
                </ul>
            </div>
        </nav>
    </header>
    <!-- Left side column. contains the logo and sidebar -->
    <%--<aside class="main-sidebar">--%>
    <%--<!-- sidebar: style can be found in sidebar.less -->--%>
    <%--<div class="sidebar" id="scrollspy">--%>

    <%--<!-- sidebar menu: : style can be found in sidebar.less -->--%>
    <%--<ul class="nav sidebar-menu">--%>
    <%--<li class="header">TABLE OF CONTENTS</li>--%>
    <%--<li class="active"><a href="#introduction"><i class="fa fa-circle-o"></i> Introduction</a></li>--%>
    <%--<li><a href="#download"><i class="fa fa-circle-o"></i> Download</a></li>--%>
    <%--<li><a href="#dependencies"><i class="fa fa-circle-o"></i> Dependencies</a></li>--%>
    <%--<li><a href="#advice"><i class="fa fa-circle-o"></i> Advice</a></li>--%>
    <%--<li><a href="#layout"><i class="fa fa-circle-o"></i> Layout</a></li>--%>
    <%--<li><a href="#adminlte-options"><i class="fa fa-circle-o"></i> Javascript Options</a></li>--%>
    <%--<li class="treeview" id="scrollspy-components">--%>
    <%--<a href="javascript:void(0)"><i class="fa fa-circle-o"></i> Components</a>--%>
    <%--<ul class="nav treeview-menu">--%>
    <%--<li><a href="#component-main-header">Main Header</a></li>--%>
    <%--<li><a href="#component-sidebar">Sidebar</a></li>--%>
    <%--<li><a href="#component-control-sidebar">Control Sidebar</a></li>--%>
    <%--<li><a href="#component-info-box">Info Box</a></li>--%>
    <%--<li><a href="#component-box">Boxes</a></li>--%>
    <%--<li><a href="#component-direct-chat">Direct Chat</a></li>--%>
    <%--</ul>--%>
    <%--</li>--%>
    <%--<li><a href="#plugins"><i class="fa fa-circle-o"></i> Plugins</a></li>--%>
    <%--<li><a href="#browsers"><i class="fa fa-circle-o"></i> Browser Support</a></li>--%>
    <%--<li><a href="#upgrade"><i class="fa fa-circle-o"></i> Upgrade Guide</a></li>--%>
    <%--<li><a href="#implementations"><i class="fa fa-circle-o"></i> Implementations</a></li>--%>
    <%--<li><a href="#faq"><i class="fa fa-circle-o"></i> FAQ</a></li>--%>
    <%--<li><a href="#license"><i class="fa fa-circle-o"></i> License</a></li>--%>
    <%--</ul>--%>
    <%--</div>--%>
    <%--<!-- /.sidebar -->--%>
    <%--</aside>--%>
    <aside class="main-sidebar">
        <section class="sidebar">
            <!-- 菜单列表-->
            <ul id="indexTreeMenu" class="sidebar-menu" data-widget="tree">
                <%--<li class="active treeview">--%>
                <%--<a href="#">--%>
                <%--<i class="fa fa-dashboard"></i> <span>病案归档管理</span>--%>
                <%--<span class="pull-right-container">--%>
                <%--<i class="fa fa-angle-left pull-right"></i>--%>
                <%--</span>--%>
                <%--</a>--%>
                <%--<ul class="treeview-menu">--%>
                <%--<li><a href="${path}/inHosp/inHospitals" target="iFrame1"><i class="fa fa-circle-o"></i>在院浏览</a>   </li>--%>
                <%--<li><a href="${path}/beHosp/beHosps" target="iFrame1"><i class="fa fa-circle-o"></i>出院浏览</a></li>--%>
                <%--<li><a href="${path}/unfile/unfileMedicals" target="iFrame1"><i class="fa fa-circle-o"></i>未归档病历列表</a></li>--%>
                <%--<li><a href="${path}/fault/faults" target="iFrame1" ><i class="fa fa-circle-o"></i>缺陷列表</a></li>--%>
                <%--<li><a href="${path}/medicalRecall/recall" target="iFrame1"><i class="fa fa-circle-o"></i>病案召回</a></li>--%>
                <%--<li><a href="${path}/recallDate/recallDates" target="iFrame1"><i class="fa fa-circle-o"></i>病案召回日期</a></li>--%>
                <%--<li><a href="${path}/lastVerify/lastVerifys" target="iFrame1"><i class="fa fa-circle-o"></i>病案室审核(终审)</a></li>--%>
                <%--&lt;%&ndash;<li><a href="${path}/recallDate/recalltes" target="iFrame1"><i class="fa fa-circle-o"></i>病案归档统计</a></li>&ndash;%&gt;--%>
                <%--</ul>--%>
                <%--</li>--%>
                <%--<li class="active treeview">--%>
                <%--<a href="#">--%>
                <%--<i class="fa fa-dashboard"></i> <span>其他管理</span>--%>
                <%--<span class="pull-right-container">--%>
                <%--<i class="fa fa-angle-left pull-right"></i>--%>
                <%--</span>--%>
                <%--</a>--%>
                <%--<ul class="treeview-menu">--%>
                <%--<li><a href="${path}/faultType/faultTypes" target="iFrame1"><i class="fa fa-circle-o"></i>缺陷类别列表</a></li>--%>
                <%--<li><a href="${path}/dictionary/dictionarys" target="iFrame1"><i class="fa fa-circle-o"></i>字典列表</a></li>--%>
                <%--&lt;%&ndash;<li><a href="${path}/paper/allPaper" target="iFrame1"><i class="fa fa-circle-o"></i>通知管理</a></li>&ndash;%&gt;--%>
                <%--</ul>--%>
                <%--</li>--%>
            </ul>
        </section>
    </aside>


    <div class="content-wrapper">
        <section class="content">
            <!-- 内容 src="${path}/paper/allPaper"-->
            <div class="page-content-wrapper">
                <div class="page-content">
                    <div class="">
                        <iframe style="height:90%;width:100%; overflow-x:hidden;overflow-y:scroll" id="iFrame1"
                                name="iFrame1" frameborder="0"></iframe>
                    </div>
                </div>
            </div>

        </section>
    </div>
    <footer class="main-footer">
        <div class="pull-right hidden-xs">
            <b>Version</b> 20210113
        </div>
        <strong>Copyright &copy; 2019-2090 厦门嘉时软件.</strong> All rights
        reserved.
    </footer>

    <!-- Control Sidebar -->
    <%--<aside class="control-sidebar control-sidebar-dark">--%>
    <%--<!-- Create the tabs -->--%>
    <%--<div class="pad">--%>
    <%--This is an example of the control sidebar.--%>
    <%--</div>--%>
    <%--</aside><!-- /.control-sidebar -->--%>
    <!-- Add the sidebar's background. This div must be placed
         immediately after the control sidebar -->
    <div class="control-sidebar-bg"></div>

</div><!-- ./wrapper -->

<%--确认框--%>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleModalLabel">确认</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <input type="hidden" id="idT" name="idT" value=""/>
                        <label class="control-label">用户长时间未操作，请重新登录！</label>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <%--<button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>--%>
                <button type="button" class="btn btn-primary btn-sm" id="stateBtn">确认</button>
            </div>
        </div>
    </div>
</div>
</body>
</html>
