$(function(){
    //初始化加载出院日期输入框
    //开始时间为上月今天
    $("#startDateTo").val(getPreMonthToday());
    //结束时间为今天
    $("#endDateTo").val(getNowDay());
})
//获取当天日期
function getNowDay(){
    var myDate = new Date;
    var year = myDate.getFullYear(); //获取当前年
    var mon = myDate.getMonth() + 1; //获取当前月
    if(mon < 10){
        mon = '0'+mon;
    }
    var date = myDate.getDate();
    if(date < 10){
        date = '0'+date;
    }
    return year+'-'+mon+'-'+date;
}

//获取当前日期的前一个月日期
function getPreMonthToday(){
    var currentYear = new Date().getFullYear();
    var currentMonth = new Date().getMonth();
    var day = new Date().getDate();
    if(day < 10){
        day = '0'+day;
    }
    if(currentMonth < 10){
        currentMonth = '0'+currentMonth;
    }
    if(currentMonth == '02' && day > 28){
        day = 28;
    }
    if(day == 31){
        if(currentMonth == 0 || currentMonth == 7) {
            day = 31;
        }else{
            day = 30;
        }
    }
    var date = currentYear+'-'+currentMonth+'-'+day;
    if(currentMonth == 0){
        currentYear = currentYear-1;
        date =currentYear +'-'+12+'-'+day;
    }
    return date;
}
//查询按钮
$('#searchBtn').click(function () {
    //标识为按条件查询
    $("#isSearch").val(1);
    if(tipLoad==0) {
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
    }else{
        toastr.warning("正在查询，请稍等...");
    }
});
$("#pdfBtn").click(function () {
    //上传后预览pdf文件
    //生成pdf返回url
    var masterId = $("#idLab").html();
    if (masterId != "" && masterId != null) {
        var imgStr = "";
        var zTree = $.fn.zTree.getZTreeObj("ztree");//换成实际的图层的id
        var changedNodes = zTree.getChangeCheckedNodes(); //获取改变的全部结点
        for (var i = 0; i < changedNodes.length; i++) {
            var treeNode = changedNodes[i];
            if (treeNode.id != 0) {
                imgStr += treeNode.id + ",";
            }
        }
        //判断id
        if (imgStr == null || imgStr == '') {
            toastr.warning("请选择分段列表！");
            return;
        }
        //打开一个不被拦截的新窗口
        var pdfUrl = path+"/static/pdfjs/web/viewer.html?file="+path+"/inHosp/getPdfToPdf/"+masterId+"/"+imgStr;
        var openWin = window.open(pdfUrl,"_blank");
        setTimeout(function(){ openWin.document.title = $("#nameLab").text(); }, 100);
    } else {
        toastr.warning("病案不存在！");
    }
});


$("#pdfBtn2").click(function () {
    //选中批量使用
    var idStr = idArr.toString();
    //判断id
    if (idStr == null || idStr == '') {
        toastr.warning("请选择记录！");
        return;
    }
    //上传后预览pdf文件,根据id直接获取pdf并合成
    var pdfUrl =  path+"/static/pdfjs/web/viewer.html?file="+path+"/inHosp/getPdfById/"+idStr;
    var openWin = window.open(pdfUrl,"_blank");
    setTimeout(function(){ openWin.document.title = $("#nameLab").text(); }, 100);
});

//封装请求查询his系统医生护士是否全部提交
function selectHis(row){
    var data = 1;
    $.ajax({
        type:'get',
        url:path+"/beHosp/getInfoFromHis",
        data:{patientId:row.patientId},
        async:false,
        success:function(result) {
            data = result;
            if (result == 1) {
            } else if(result == -1){
                toastr.warning("系统出错了请联系系统管理员");
            }else {
                toastr.warning('医生或护士未提交数据，请稍后再试');
            }

        }
    });
    return data;
}
function initTable2() {
    $("#table2").bootstrapTable({ // 对应table标签的id
        //method: 'POST',
        url: path+"/inHosp/getAssortdetail", // 获取表格数据的url
        contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
        //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
        cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
        striped: true,  //表格显示条纹，默认为false
        pagination: true, // 在表格底部显示分页组件，默认false
        paginationShowPageGo: true,
        pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
        smartDisplay: false,
        pageSize: 2, // 页面数据条数
        pageNumber: 1, // 初始化加载第一页，默认第一页
        sidePagination: 'server', // 设置为服务器端分页     客户端：client
        search: false,
        showColumns: true,
        searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
        undefinedText: '---', //当数据为 undefined 时显示的字符
        singleSelect: false,//设置True 将禁止多选
        clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
        height: 560,     //定义表格的高度。
        searchTimeOut: 500,// 默认500  设置搜索超时时间。
        toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
        paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
        showHeader: true,//是否显示列头。
        trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
        queryParams: function (params) {
            var currPageSize = this.pageSize;
            if (currPageSize == 2) {
                currPageSize = 10;
            }
            var limit = null;
            var offset = params.offset;
            var patientId = $("#idLab").html();
            var assortId = $("#assortId").html();
            if (assortId == 0) assortId = null;
            //判断是否导出全部all
            if ($("#sel_exportoption").val() == "all") {
                offset = 0;
                limit = this.totalRows;
                this.pageSize = limit;
            } else {
                limit = currPageSize;
                this.pageSize = currPageSize;
            }

            var temp = {
                limit: limit,     //页面大小
                offset: offset,   //页码
                order: params.order,      //排位命令（desc，asc）
                patientId: patientId,
                assortId: assortId
            };
            return temp;
        },
        sortName: 'assortSort', // 要排序的字段
        sortOrder: 'desc', // 排序规则
        columns: [{
            title: '全选',
            field: 'select',   //复选框
            checkbox: true,
            width: 25,
            align: 'center',
            hidden: true,
        }, {
            title: '序',
            field: 'id',
            align: 'left',
            visible: false
        },

            {
                title: '分段类id',
                field: 'assortId',
                align: 'left',
                valign: 'middle',
                visible: false
            },

            {
                title: '标题',
                field: 'title',
                align: 'left',
                valign: 'middle',
                //格式化列
                formatter: function (value, row, index) {
                    return paramsMatterColumn(value);
                }
            },
            {
                title: '上传时间',
                field: 'uploaddatetime',
                align: 'left',
                valign: 'middle',
                width: 150, // 定义列的宽度，单位为像素px
            },
            {
                title: '来源',
                field: 'source',
                align: 'center',
                valign: 'middle',
                width: 50, // 定义列的宽度，单位为像素px
            },
            {
                title: '状态',
                field: 'flag',
                align: 'center',
                valign: 'middle',
                width: 80, // 定义列的宽度，单位为像素px
                formatter: function (value, row, index) {
                    //在院  未归档  归档中  初审 已归档 已认证
                    var a = '';
                    if (value == "1") {
                        a = '<span style="color:red;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>作废</span>';
                    } else if (value == "0") {
                        a = '<span style="color:green"><i class="fa fa-check-circle-o" aria-hidden="true"></i>使用</span>';
                    }
                    return a;
                }
            },
            {
                title: "操作",
                align: 'left',
                valign: 'middle',
                width: 120, // 定义列的宽度，单位为像素px
                formatter: function (value, row, index) {
                    var id = "'" + row.id + "'";
                    var html = '<button type="button" class="btn btn-success btn-sm" onclick="selectFun('+id+')">查看PDF </button><button type="button" class="btn btn-info btn-sm editInfo" >编辑 </button>';// '<a href="javascript:;" class="delete">删除</a>';
                    if (row.flag == "0") {
                        html = html + '<button type="button" class="btn btn-danger btn-sm stateInfo" >作废 </button>';
                    }
                    return html;
                }, events: {
                    'click .editInfo': function (e, value, row, index) {
                        $('#assortModal').modal({
                            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                            show: true//弹出对话框
                        });

                        //同步
                        $("#inpId").val(row.id);
                        $("#inpTitle").val(row.title);
                        $("#inpType").val(row.assortId);
                        $("#inpSource").val(row.source);
                        $("#inpFlag").val(row.flag);
                        if (row.pdfPath != "" && row.pdfPath != "") {
                            $("#fileUrlInp").val(row.pdfPath);
                            $('#previewFile').css("display", "block");//显示预览按钮
                        }
                    }, 'click .stateInfo': function (e, value, row, index) {
                        $('#exampleModal').modal({
                            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                            show: true//弹出对话框
                        });

                        //同步
                        $("#idT").val(row.id);

                    }
                },
                cellStyle: function (value, row, index) {
                    return {classes: 'success'}

                }
            }
        ],
        onLoadSuccess: function (result) {  //加载成功时执行
            // console.info("加载成功");
        },
        onLoadError: function () {  //加载失败时执行
            console.info("加载数据失败");
        }, onCheckAll: function (rows) { //点击全选框时触发的操作
            if (rows != null && rows.length) {
                for (var i = 0; i < rows.length; i++) {
                    idArr.push(rows[i].id)
                }
            }
        }, onCheck: function (row) {//点击每一个单选框时触发的操作
            idArr.push(row.id)
        }, onUncheck: function (row) {//取消每一个单选框时对应的操作；
            var index = idArr.indexOf(row.id);
            if (index > -1) {
                idArr.splice(index, 1);
            }
        }, onUncheckAll: function (row) {//取消每一个单选框时对应的操作；
            idArr = [];
        }
    });
}
//单个查看
function selectFun(idStr){
    //上传后预览pdf文件,根据id直接获取pdf并合成
    var pdfUrl =  path+"/static/pdfjs/web/viewer.html?file="+path+"/inHosp/getPdfById/"+idStr;
    var openWin = window.open(pdfUrl,"_blank");
    setTimeout(function(){ openWin.document.title = $("#nameLab").text(); }, 100);
}