package com.emr.controller;

import com.emr.service.ipml.EmrPaperPositionInfoServer;
import com.emr.util.Msg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping("paperPosition")
public class PaperPositionController {
    @Autowired
    private EmrPaperPositionInfoServer paperPositionInfoServer;
    @RequestMapping("savePaperPosition")
    @ResponseBody
    public Msg savePaperPosition(String masterId,String paperPosition) throws Exception{
        paperPositionInfoServer.savePaperPositionInfo(masterId,paperPosition);
        return Msg.success();
    }
}
