package com.emr.dao;

import com.emr.entity.Archive_Master;
import com.emr.entity.Archive_Master_Vo;
import com.emr.vo.DoctorStatistics;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface Archive_MasterMapper {
    int deleteByPrimaryKey(String id);

    int insert(Archive_Master record);

    int insertSelective(Archive_Master record);

    Archive_Master selectByPrimaryKey(String id);

    List<Archive_Master_Vo> selectByCol(Archive_Master_Vo record);

    List<Archive_Master_Vo> selectByColumn(Archive_Master_Vo record);

    List<Archive_Master_Vo> selectByLast(Archive_Master_Vo record);

    List<Archive_Master_Vo> selectByUnfile(Archive_Master_Vo record);

    int updateByClo(Archive_Master record);

    int updateById(Archive_Master record);
    List<Archive_Master> selectAll();

    List<DoctorStatistics> getDoctorFileInfo(@Param("deptCode")String deptCode,@Param("doctor")String doctor,@Param("startTime")String startTime,@Param("endTime")String endTime);

    List<Archive_Master_Vo> selectAllPatient(Archive_Master_Vo archiveMasterVo);

    /**
     * 查询病案是否存在
     * */
    List<Archive_Master>  selectByObject(Archive_Master master);
}