package com.emr.dao;

import com.emr.vo.CompenSateVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @InterfaceName CompenSateMapper
 * @Description 按需采集接口
 * @Author linjj
 * @Date 2024/3/25 14:16
 * @Version 1.0
 */
public interface CompenSateMapper {

    List<CompenSateVo> selectAll(@Param(value = "ids")String ids);

    List<CompenSateVo>selectAllByPacs(@Param(value = "ids")String ids);

    int updateCompenSate(String masterId);


    int updatePacsCompenSate(String masterId);

    List<CompenSateVo> selectAllByMasterId(String masterId);


    List<CompenSateVo> selectPacsAllByMasterId(String masterId);

    int addCompenSate(@Param(value = "masterId")String masterId,@Param(value = "patientId")String patientId,@Param(value = "compensateState")int compensateState);



    int addPacsCompenSate(@Param(value = "masterId")String masterId,@Param(value = "compensateState")int compensateState);

}
