/**
 * Copyright (C), 2015-2019
 * Author:   HJL
 * Date:     2019/7/19 15:27
 * Description:缺陷或不通过审批表
 */
package com.emr.service;

import com.emr.entity.Emr_Fault_Detail;
import com.emr.entity.Emr_Fault_Vo;
import com.emr.entity.OffsetLimitPage;

import java.util.List;

public interface Emr_Fault_DetailService {
    /**
     * 根据查询条件分页查询
     * @param emrFaultVo
     * @param offset
     * @param limit
     * @return
     */
    OffsetLimitPage selectByCol(Emr_Fault_Vo emrFaultVo, Integer offset, Integer limit);

    /**
     * 根据查询条件导出
     * @param emrFaultVo
     * @return
     */
    List<Emr_Fault_Vo> selectByCol(Emr_Fault_Vo emrFaultVo);

    /**
     * 根据id修改相应的字段
     * @param emrFaultDetail
     * @return
     */
    int updateCloByPrimaryKey(Emr_Fault_Detail emrFaultDetail);

    /**
     * 根据病案号查询缺陷退回审核内容
     * @param record
     * @return
     */
    Emr_Fault_Detail selectByArchiveDetailId(Emr_Fault_Detail record);

    /**
     * 插入缺陷退回审核内容
     * @param record
     * @return
     */
    int insertSel(Emr_Fault_Detail record);
}
 

