package com.emr.service.ipml;

import com.emr.dao.TPrintinfoMapper;
import com.emr.entity.TPrintinfo;
import com.emr.util.Msg;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class TPrintinfoService {
    @Autowired
    private TPrintinfoMapper tPrintinfoMapper;
    public Msg selectIsPrintByPatienId(String patientId){
        TPrintinfo tPrintinfo = tPrintinfoMapper.selectLockByPatienId(patientId);
        if(!"0".equals(tPrintinfo.getIsprint())){
            return Msg.success().add("isPrint","1");
        }
        List<TPrintinfo> list = tPrintinfoMapper.selectIsPrintByPatienId(patientId);
        if(null != list && !list.isEmpty()){
            return Msg.success().add("isPrint",list.get(0).getIsprint());
        }else{
            return Msg.success().add("isPrint","0");
        }
    }
}
