﻿<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>节假日设置</title>
    <meta http-equiv="Content-Type"  content="text/html;charset=utf-8">
    <meta name="referrer" content="never">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <style>
        .modal-footer {
            padding: 5px;
        }

        .divCss {
            margin-top: 5px;
        }

        .divCss10 {
            margin-top: 5px;
            margin-left:63px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        .divCss3 {
            margin-top: 5px;
            margin-left: 20px;
            color: blue;
        }

        .modal-content {
            width: 165%; /*width: 1300px;*/
            overflow-x: hidden;
            overflow-y: auto;

        }

        .modal {
            margin-left: -39%;
            overflow-x: auto;
            /*z-index: 1049;*/
        }

        .divCss4 {
            border-top: 1px solid #e5e5e5;
            width: 97.5%;
            margin-top: 10px;
            margin-bottom: 5px;
        }

        .labCss {
            /*color: gainsboro;*/
            color: #c1c3c4;
        }

        .titleCss {
            text-align: left;
            vertical-align: middle;
            background-color: #3c8dbc;
            color: #fff;
            font-size: 19px;
            font-weight: bold;
            height: 30px;
            margin-bottom: 10px;
        }

        .treeBtn {
            margin-top: 10px;
            margin-left: 10px;
            margin-right: 10px;
        }

        .zTreeDemo {
            height: auto;
            min-height: 350px;
        }

        .divCss5 {
            border-left: 2px solid #e5e5e5;
            height: auto;
            min-height: 350px;
        }

        .btnGroupCss {
            text-align: right;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        #assortModal > div > div {
            margin-top: 50%;
            margin-left: 60%;
            width: 500px;
        !important;
        }

        #exampleModal > div > div {
            margin-top: 50%;
            margin-left: 70%;
            width: 400px;
        !important;
        }

        .imgDivCss {
            min-height: 400px !important;
        }

        .showImg {
            width: 80%;
            height: 100%
        }

        .shadeImg {
            height: 950px;
        }

        #returnModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 120%;
        }

        #returnModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 120%;
        }

        #verifyModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 100%;
        }
        #WZModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 100%;
        }

    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<div style="margin-left:30px;margin-right:10px;height:auto">
    <!--搜索-->
    <form style="margin-top:20px;">
        <div class="form-inline">
            <div class="form-group divCss8">
                <label>设置日期:</label>
                <div class="input-daterange input-group">
                    <input type="text" class="input-sm form-control" id="startTime2"/>
                    <span class="input-group-addon">-</span>
                    <input type="text" class="input-sm form-control" id="endTime2"/>
                </div>
            </div>
        </div>
        <div class="form-inline">
            <div class="form-group divCss8">
                <label>勾选星期:</label>
                <div class="input-daterange input-group">
                    <input type="checkbox" class="week" value="1"/>周一
                    <input type="checkbox" class="week" value="2"/>周二
                    <input type="checkbox" class="week" value="3"/>周三
                    <input type="checkbox" class="week" value="4"/>周四
                    <input type="checkbox" class="week" value="5"/>周五
                    <input type="checkbox" class="week" value="6"/>周六
                    <input type="checkbox" class="week" value="0"/>周天
                </div>
                <div class="input-daterange input-group" style="margin-left: 40px">
                    <input type="checkbox" onclick="selectAll()" id="select"/>全选
                </div>
            </div>
        </div>
        <div class="form-inline">
            <div class="form-group divCss8">
                <div class="input-daterange input-group">
                    <button type="button" class="btn btn-primary btn-sm divCss10" id="saveSet">设为工作日</button>
                    <button type="button" class="btn btn-danger btn-sm divCss10" id="saveHolidaySet">设为非工作日</button>
                </div>
            </div>
        </div>
    </form>
    <hr>
    <form style="margin-top:20px;">
        <div class="form-inline">
            <div class="form-group divCss8">
                <label>查询日期:</label>
                <div class="input-daterange input-group" id="datepicker">
                    <input type="text" class="input-sm form-control" name="startTime1" id="startTime1"/>
                    <span class="input-group-addon">-</span>
                    <input type="text" class="input-sm form-control" name="endTime1" id="endTime1"/>
                </div>
            </div>
            <div class="form-group divCss">
                <label>是否工作日:</label>
                <select class="input-sm form-control" id="flag">
                    <option value="">全部</option>
                    <option value="1">工作日</option>
                    <option value="2">非工作日</option>
                </select>
            </div>
            <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>

        </div>
    </form>
    <!--数据表格-->
    <table id="table" class="table text-nowrap table-striped"></table>
    <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
        <div class="columns columns-right btn-group pull-right">
            <div class="btn-group btn-info">
                <select id="sel_exportoption" class="form-control">                
                    <option value="">导出当前页面数据</option>
                                   
                    <option value="all">导出全部数据</option>
                                   
                    <option value="selected">导出选中数据</option>
                </select>
            </div>
            <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                    aria-label="Refresh"
                    title="Refresh">
                <i class="glyphicon glyphicon-refresh icon-refresh"></i>
            </button>
        </div>
    </div>
</div>
</body>
<script src="${path}/static/js/holidaySet/holidaySetList.js"></script>
</html>