﻿<%@ page import="java.util.Date" %>
<%@ page import="java.text.SimpleDateFormat" %>
<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<c:set value="${pageContext.request.contextPath}" var="path" scope="page"/>
<html>
<head>
    <title>患者明细列表</title>
    <meta http-equiv="Content-Type"  content="text/html;charset=utf-8">
    <meta name="referrer" content="never">
    <!-- 解决部分兼容性问题，如果安装了GCF，则使用GCF来渲染页面，如果未安装GCF，则使用最高版本的IE内核进行渲染。 -->
    <meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1">
    <!-- 页面按原比例显示 -->
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%@include file="../../jspf/comm.jspf" %>
    <%@ include file="../../jspf/ztreeCommom.jsp" %>
    <style>
        .modal-footer {
            padding: 5px;
        }

        .divCss {
            margin-top: 5px;
        }

        .divCss2 {
            margin-top: 5px;
            margin-left: 20px;
        }

        .divCss8 {
            margin-top: 5px;
            margin-right: 20px;
        }

        .divCss3 {
            margin-top: 5px;
            margin-left: 20px;
            color: blue;
        }

        .modal-content {
            width: 165%; /*width: 1300px;*/
            overflow-x: hidden;
            overflow-y: auto;

        }

        .modal {
            margin-left: -39%;
            overflow-x: auto;
            /*z-index: 1049;*/
        }

        .divCss4 {
            border-top: 1px solid #e5e5e5;
            width: 97.5%;
            margin-top: 10px;
            margin-bottom: 5px;
        }

        .labCss {
            /*color: gainsboro;*/
            color: #c1c3c4;
        }

        .titleCss {
            text-align: left;
            vertical-align: middle;
            background-color: #3c8dbc;
            color: #fff;
            font-size: 19px;
            font-weight: bold;
            height: 30px;
            margin-bottom: 10px;
        }

        .treeBtn {
            margin-top: 10px;
            margin-left: 10px;
            margin-right: 10px;
        }

        .zTreeDemo {
            height: auto;
            min-height: 350px;
        }

        .divCss5 {
            border-left: 2px solid #e5e5e5;
            height: auto;
            min-height: 350px;
        }

        .btnGroupCss {
            text-align: right;
        }

        /* dataTables表头居中 */
        .table > thead:first-child > tr:first-child > th {
            text-align: center !important;
        }

        #assortModal > div > div {
            margin-top: 50%;
            margin-left: 60%;
            width: 500px;
        !important;
        }

        #exampleModal > div > div {
            margin-top: 50%;
            margin-left: 70%;
            width: 400px;
        !important;
        }

        .imgDivCss {
            min-height: 400px !important;
        }

        .showImg {
            width: 80%;
            height: 100%
        }

        .shadeImg {
            height: 950px;
        }

        #returnModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 120%;
        }

        #returnModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 120%;
        }

        #verifyModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 100%;
        }

        #WZModal .modal-content {
            margin-left: 50%;
            margin-top: 35%;
            width: 100%;
        }
        .loading {
            width: 160px;
            height: 56px;
            position: absolute;
            top: 50%;
            left: 50%;
            line-height: 56px;
            color: #fff;
            padding-left: 60px;
            font-size: 15px;
            background: #000;
            opacity: 0.7;
            z-index: 9999;
            -moz-border-radius: 20px;
            -webkit-border-radius: 20px;
            border-radius: 20px;
            filter: progid:DXImageTransform.Microsoft.Alpha(opacity=70);
        }
    </style>
    <script>
        var path = "${path}";
    </script>
</head>

<body>
<div id="myModal" class="modal fade" data-keyboard="false"
     data-backdrop="static" data-role="dialog"
     aria-labelledby="myModalLabel" aria-hidden="true">
    <div id="loading" class="loading">加载中。。。</div>
</div>
<!--隐藏是否是初始化-->
<input type="hidden" id="isSearch" value="0">
<div style="margin-left:30px;margin-right:10px;height:auto">
    <!--搜索-->
    <form style="margin-top:20px;">
        <div class="form-inline">
            <%--<div class="form-group divCss8">--%>
            <%--<label for="id">病案号:</label>--%>
            <%--<input type="text" class="input-sm form-control" id="id" placeholder="请输入病案号">--%>
            <%--</div>--%>
            <div class="form-group divCss8">
                <label for="name">主管医生:</label>
                <input type="text" class="input-sm form-control" id="doctorInCharge" maxlength="25"
                       placeholder="请输入主管医生姓名">
            </div>
            <div class="form-group divCss8">
                <label for="inpNo">住院号:</label>
                <input type="text" class="input-sm form-control" id="inpNo" placeholder="请输入住院号">
            </div>
            <div class="form-group divCss8">
                <label for="visitId">住院次数:</label>
                <input type="number" class="input-sm form-control" min="1" id="visitId" placeholder="请输入次数">
            </div>
            <div class="form-group divCss8">
                <label for="name">姓名:</label>
                <input type="text" class="input-sm form-control" id="name" placeholder="请输入姓名">
            </div>
            <div class="form-group divCss8" id="deptDiv" style="height: 18px;margin-top: -7px;">
                <label>出院科室:</label>
                <select class="selectpicker bla bla bli" multiple data-live-search="true" name="deptName" id="deptName"
                        title="请输入科室">
                    <option value="">全部</option>
                </select>
            </div>
            <div class="form-group divCss8">
                <label>出院日期:</label>
                <div class="input-group">
                    <input type="text" class="input-sm form-control" name="start" id="startDateTo" style="text-align:center" maxlength="10" autocomplete="off"/>
                    <span class="input-group-addon">-</span>
                    <input type="text" class="input-sm form-control" name="end" id="endDateTo" style="text-align:center" maxlength="10" autocomplete="off"/>
                </div>
            </div>
            <div class="form-group divCss">
                <label for="archivestate">归档状态:</label>
                <select class="input-sm form-control" id="archivestate">
                    <option value="">全部</option>
                    <option value="复审退回">复审退回</option>
                    <option value="归档中">归档中</option>
                    <option value="初审">初审</option>
                    <option value="已归档">已归档</option>
                </select>
            </div>
            <div class="form-group divCss">
                <label for="archivestate">修改状态:</label>
                <select class="input-sm form-control" id="updateStatus">
                    <option value="">全部</option>
                    <option value="0">未修改</option>
                    <option value="1">已修改</option>
                </select>
            </div>
            <div class="form-group divCss">
                <label for="archivestate">封存状态:</label>
                <select class="input-sm form-control" id="lockStatus">
                    <option value="">全部</option>
                    <option value="0">未封存</option>
                    <option value="1">已封存</option>
                </select>
            </div>
            <button type="button" class="btn btn-primary btn-sm divCss" id="searchBtn">查询</button>
            <%--<button type="button" class="btn btn-info btn-sm divCss" id="excelBtn">条件导出</button>--%>
        </div>
    </form>
    <!--数据表格-->
    <table id="table" class="table text-nowrap table-striped"></table>
    <div id="toolbar" class="btn-group pull-right" style="margin-right: 20px;">
        <div class="columns columns-right btn-group pull-right">
            <div class="btn-group btn-info">
                <select id="sel_exportoption" class="form-control">                
                    <option value="">导出当前页面数据</option>
                                   
                    <option value="all">导出全部数据</option>
                                   
                    <option value="selected">导出选中数据</option>
                </select>
            </div>
            <button class=" btn btn-success" style="height: 34px" type="button" id="refreshBtn" name="refresh"
                    aria-label="Refresh"
                    title="Refresh">
                <i class="glyphicon glyphicon-refresh icon-refresh"></i>
            </button>
        </div>
    </div>
</div>


<%--<div id="modal">--%>
<%--<div class="mask"></div>--%>
<%--<!-- 这里开始才是真正的内容 -->--%>
<%--<div class="dialog"></div>--%>
<%--</div>--%>

<!-- 模态框3（Modal）查看档案 -->
<div class="modal fade" id="selModal" tabindex="1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单
                </h4>
            </div>
            <div class="modal-body divCss2">
                <!--通过审批且未过期的patientId集合-->
                <form class="form-horizontal" id="form1">
                    <input id="fpatno" type="hidden">
                    <div class="row">
                        <div class="row divCss3">病历信息</div>
                        <div class="row divCss2">
                            <div class="col-sm-5" hidden>
                                病案号：<label id="idLab" class="labCss"></label><label id="assortId" hidden></label>
                            </div>
                            <div class="col-sm-4">
                                住院号：<label id="inLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                住院次数：<label id="inTimeLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-3">
                                姓名：<label id="nameLab" class="labCss"></label>
                            </div>

                        </div>
                        <div class="row divCss2">
                            <div class="col-sm-4"><input type="text" id="outDateLab" hidden/>
                                入院科室：<label id="deptToLab" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                入院日期：<label id="inDateLab" class="labCss"></label>
                            </div>
                            <%--<div class="col-sm-3">--%>
                            <%--主管医生：<label id="chargeLab" class="labCss"></label>--%>
                            <%--</div>--%>
                            <div class="col-sm-4" id="recallDiv">
                                缺陷管理:
                                <button type="button" class="btn btn-danger btn-sm" id="getRecallBtn">缺陷查看</button>
                            </div>
                        </div>
                        <div class="row divCss2">
                            <div class="col-sm-4"><input type="text" id="outDateLab1" hidden/>
                                出院科室：<label id="deptToLab1" class="labCss"></label>
                            </div>
                            <div class="col-sm-4">
                                出院日期：<label id="inDateLab1" class="labCss"></label>
                            </div>
                            <%--<div class="col-sm-4">--%>
                            <%--离院方式：<label id="outHospLab" class="labCss"></label>--%>
                            <%--</div>--%>
                            <div class="col-sm-4">
                                完整性审核：
                                <a id="showDefectTable" style="cursor: pointer">
                                    <span id="wzContent"></span>
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="divCss4"></div>
                    <div class="row">
                        <div class="row divCss3 ">病历清单</div>
                        <div class="col-sm-3 divCss2">
                            <div class="row titleCss"></div>
                            <div class="row">
                                <div class="col-sm-9">
                                    <input type="text" id="key" value="" class="input-sm form-control empty"
                                           placeholder="分段名称"/>
                                </div>
                                <button type="button" class="btn btn-primary btn-sm" id="searchBtn1">查询</button>
                            </div>
                            <div class="row">
                                <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="expandAll();">
                                    全部展开
                                </button>
                                <button type="button" class="btn  btn-success btn-sm treeBtn" onclick="collapseAll();">
                                    全部收缩
                                </button>
                            </div>
                            <div class="row">
                                <!--树-->
                                <div class="zTreeDemo" id="foo">
                                    <ul id="ztree" class="ztree"></ul>
                                </div>
                            </div>
                        </div>
                        <div class="col-sm-8 divCss5">
                            <div class="row btnGroupCss">
                                <button type="button" class="btn btn-default btn-sm" id="uploadBtn">上传文件</button>
                                <button type="button" class="btn btn-info btn-sm" id="pdfBtn">查看分段PDF</button>
                                <button type="button" class="btn btn-success btn-sm" id="pdfBtn2">查看PDF</button>
                                <%--<button type="button" class="btn btn-primary btn-sm" id="addBtn">添加清单</button>--%>
                                <button type="button" class="btn btn-warning btn-sm" id="updateStateBtn">选中作废</button>
                                <button type="button" class="btn btn-primary btn-sm" id="updateStateBtn2">选中使用</button>
                            </div>
                            <div class="row">
                                <!--数据表格-->
                                <table id="table2" class="table text-nowrap table-striped"></table>
                                <div>
                                </div>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>

<!-- 模态框3（Modal）分段信息 -->
<div class="modal fade" id="assortModal" tabindex="2" role="dialog" aria-hidden="true">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    病历清单详情
                </h4>
            </div>
            <div class="modal-body">
                <!--通过审批且未过期的patientId集合-->
                <%--<form class="form-horizontal" id="logForm">--%>
                <input type="hidden" id="inpId" name="inpId">
                <div class="row">
                    <div class="form-group"><input id="fileUrlInp" hidden/>
                        <label class="col-sm-4 control-label">标题：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" id="inpTitle" name="inpTitle">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">类型：</label>
                        <div class="col-sm-5">
                            <%--<input type="text" class="input-sm form-control"  id="inpType" name="inpType">--%>
                            <select class="input-sm form-control" id="inpType">

                            </select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">来源：</label>
                        <div class="col-sm-5">
                            <input type="text" class="input-sm form-control" readonly id="inpSource" name="inpSource">
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <div class="row">
                    <div class="form-group">
                        <label class="col-sm-4 control-label">状态：</label>
                        <div class="col-sm-5">
                            <select class="input-sm form-control" id="inpFlag">
                                <option value="0">使用</option>
                                <option value="1">作废</option>
                            </select>
                        </div>
                        <div class="col-sm-1"></div>
                    </div>
                </div>
                <%--<div class="row">--%>
                <%--<div class="form-group">--%>
                <%--<label class="col-sm-4 control-label">上传pdf：</label>--%>
                <%--<div class="col-sm-5"><a href="javascript:void(0);" target="_self" id="previewFile" style="display:none">预览</a>--%>
                <%--&lt;%&ndash;<form action="path/uploadPDF1" id="formUpload" enctype="multipart/form-data" method="post">&ndash;%&gt;--%>
                <%--&lt;%&ndash;<input id="addFile" type="file" accept="image/jpeg,image/png,image/jpg" name="addFile" size="chars">&ndash;%&gt;--%>
                <%--&lt;%&ndash;&lt;%&ndash;<iframe id="pdf_page" name="pdf_page" style="width:1500px;height:640px">&ndash;%&gt;&ndash;%&gt;--%>
                <%--&lt;%&ndash;&lt;%&ndash;</iframe>&ndash;%&gt;&ndash;%&gt;--%>

                <%--&lt;%&ndash;</form>&ndash;%&gt;--%>
                <%--</div>--%>
                <%--<div class="col-sm-1"></div>--%>
                <%--</div>--%>
                <%--</div>--%>
                <%--</form>--%>
            </div>
            <div class="modal-footer">

                <button type="button" class="btn btn-primary btn-sm" id="saveBtn">保存</button>
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">关闭</button>

            </div>
        </div>
    </div>
</div>
<%--多图片框--%>
<div class="modal fade" id="pdfModal" tabindex="-1" role="dialog"
     aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content enterCss">
            <div class="modal-header">

                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
                <h4 class="modal-title">手动上传扫描病历（图片上传）</h4>
            </div>
            <div class="modal-body">
                <form id="filesUpload" style="margin-top:20px;" method="POST" enctype="multipart/form-data">
                    <div class="imgDivCss" id="divImg">
                        <%--<form>--%>

                        <%--<p class="form-group">--%>
                        <%--<h3>Bootstrap File Input Demo1</h3>--%>
                        <%--</p>--%>


                        <%--<input name="uploadFile" type="file" id="uploadFile" multiple class="file-loading"/>--%>

                        <%--</form>--%>

                        <div class="form-inline">
                            <div class="form-group divCss">
                                <label for="archivestate">归类 :</label>
                                <select class="input-sm form-control" id="inpGl">
                                    <option value="非类型">非类型</option>
                                    <option value="">全部</option>
                                    <%--<option value="在院">在院</option>--%>
                                    <%--<option value="未归档">未归档</option>--%>
                                    <%--<option value="归档中">归档中</option>--%>
                                    <%--<option value="初审">初审</option>--%>
                                    <%--<option value="已认证">已认证</option>--%>
                                    <%--<option value="已归档">已归档</option>--%>
                                </select>
                            </div>
                            <button type="button" class="btn btn-primary btn-sm divCss" id="imgBtn">查询</button>
                            <%--<button type="button" class="btn btn-info btn-sm divCss" id="imgsBtn">批量上传</button>--%>
                            <%--<button type="button" class="btn btn-danger btn-sm divCss" id="imgsDelBtn">批量删除</button>--%>
                            <button type="button" class="btn btn-warning btn-sm divCss" id="imgsSaveBtn">保存</button>
                            <a href="javascript:;" class="a-upload btn btn-info btn-sm">
                                <input type="file" name="myFile" id="myFile" multiple="multiple" hidden/>选择文件
                            </a>

                        </div>

                        <div class="img_div"></div>

                        <div class="shade" onclick="javascript:closeShade()">
                            <div class=""><span class="text_span"></span>
                            </div>
                        </div>
                        <%--<div class="shadeImg"  onclick="javascript:closeShadeImg()">--%>
                        <%--<div class="">--%>
                        <%--<img class="showImg" src=""/>--%>
                        <%--</div>--%>
                        <%--</div>--%>

                    </div>
                </form>
                <%--<div id="handout_wrap_inner"><input id="tsInfo" type="text" style="border:none" size="100" readonly/></div>--%>
                <%--<iframe id="pdf_page" name="pdf_page" data-target="_bank" style="width:100%;height:100%"></iframe>--%>
            </div>
            <%--<div class="modal-footer">--%>
            <%--<button type="button" class="btn btn-default btn-sm"--%>
            <%--data-dismiss="modal">返回--%>
            <%--</button>--%>
            <%--</div>--%>
        </div>
    </div>
</div>
<%--发大弹窗--%>
<div class="modal fade" id="maxImg" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">×</span></button>
            </div>
            <div class="modal-body" STYLE="height: 950px">
                <div class="shadeImg" onclick="javascript:closeShadeImg()">
                    <div class="">
                        <img class="showImg" src=""/>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
            </div>
        </div>
    </div>
</div>
<%--确认框--%>
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title" id="exampleModalLabel">确认作废</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group">
                        <input type="hidden" id="idT" name="idT" value=""/>
                        <label class="control-label">作废该分段记录吗？</label>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="stateBtn">确认</button>
            </div>
        </div>
    </div>
</div>

<%--退回弹窗--%>
<div class="modal fade" id="returnModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">终审退回信息</h4>
            </div>
            <div class="modal-body divCss2">
                <!--通过审批且未过期的patientId集合-->
                <form class="form-horizontal" id="form2">
                    <div class="row"><input id="backArchiveId" hidden>
                        <div class="row divCss3">缺陷信息</div>
                        <div class="row divCss2">
                            <div class="row divCss2">
                                <span style="float:left;vertical-align:top;">选项：</span>
                                <div style="float:left;" id="faultTypeDiv">
                                    <%--<div class="row " style="width:600px">--%>
                                    <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>苹果 </label>--%>
                                    <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>桃子 </label>--%>
                                    <%--</div>--%>
                                    <%--<div class="row " style="width:600px">--%>
                                    <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>苹果水电费是否是的范德萨</label>--%>
                                    <%--<label class="col-xs-6"><input name="Fruit" type="checkbox" value=""/>桃子</label>--%>
                                    <%--</div>--%>
                                </div>

                            </div>
                            <div class="row divCss2">
                                <span style="vertical-align:top;">内容：</span><textarea id="content" rows="6"
                                                                                      cols="80"></textarea>
                            </div>
                        </div>
                    </div>


                    <div class="divCss4"></div>
                    <div class="row">
                        <div class="row divCss3 ">退回信息</div>
                        <div class="row divCss2">
                            <div class="row divCss2">
                                <span style="vertical-align:center;">评分：</span><input id="score" type="number"
                                                                                      class="input-sm "/> 分
                            </div>
                            <div class="row divCss2">
                                <span style="vertical-align:top;">内容：</span><textarea id="backContent" rows="6"
                                                                                      cols="80"></textarea>
                            </div>
                        </div>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="returnBtn">确认</button>
            </div>
        </div>
    </div>
</div>


<%--审核弹窗--%>
<div class="modal fade" id="verifyModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">初审信息</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group ">
                        <input id="archiveId" hidden/>
                        <span style="vertical-align:top;">内容：</span><textarea rows="6" cols="70"
                                                                              id="verifyText"></textarea>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="verifyBtn">通过</button>
            </div>
        </div>
    </div>
</div>

<%--审核弹窗--%>
<div class="modal fade" id="WZModal" tabindex="-5" role="dialog" aria-labelledby="exampleModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content ">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">×</span>
                </button>
                <h4 class="modal-title">初审信息</h4>
            </div>
            <div class="modal-body">
                <form>
                    <div class="form-group ">
                        <label class="control-label" id="resultLabel">完整审核未通过是否强制提交？</label>
                        <textarea hidden id="WzRsult"></textarea>
                    </div>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default btn-sm" data-dismiss="modal">返回</button>
                <button type="button" class="btn btn-primary btn-sm" id="wzSaveBtn">通过</button>
            </div>
        </div>
    </div>
</div>
<!--查看详情diag-->
<div class="modal fade" id="modal-default" tabindex="1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true"
     style="margin-left: -35%">
    <div class="modal-dialog">
        <div class="modal-content" style="width: 155%">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                    &times;
                </button>
                <h4 class="modal-title">
                    文件生成情况
                </h4>
            </div>
            <div class="modal-body" style='height:90%'>
                <div class="row">
                    <div class="col-sm-12">
                        <form style="margin-top:20px;">
                            <div class="form-inline">
                                <div class="form-group divCss8">
                                    <label for="name">标题:</label>
                                    <input type="text" class="input-sm form-control" id="frecName" maxlength="50"
                                           placeholder="请输入标题">
                                </div>
                                <div class="form-group divCss8">
                                    <label>状态:</label>
                                    <select class="form-control" data-live-search="true" id="pdfflag">
                                        <option value="">全部</option>
                                        <option value="1">完成</option>
                                        <option value="0">未完成</option>
                                    </select>
                                </div>
                                <div class="form-group divCss8">
                                    <label>分段:</label>
                                    <select class="form-control" data-live-search="true" id="fentryNo"></select>
                                </div>
                                <button type="button" class="btn btn-primary btn-sm divCss" id="collectPdfInfosearchBtn">查询</button>
                                <button type="button" class="btn btn-primary btn-sm divCss" onclick="collects()">批量采集</button>
                            </div>
                        </form>
                    </div>
                    <div class="col-sm-12" style="text-align: center">
                        <p>共需&nbsp;<span id="collectTotle">0</span>&nbsp;份,已完成&nbsp;<span id="collectFinish">0</span>&nbsp;份,未完成&nbsp;<span id="collectUnFinish" style="color: red">0</span>&nbsp;份,完成率&nbsp;<span id="collectFinishPercentId"><span id="collectFinishPercent">0</span>%</span>&nbsp;</p>
                    </div>
                    <div class="col-sm-12">
                        <!--数据表格-->
                        <table id="table3" class="table text-nowrap table-striped"></table>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
</body>

<script type="text/javascript">
    var tipLoad = 1;
    //创建数组保存图片
    var files = new Array();
    var id = 0;

    function getFaultType() {
        //获取科室列表
        $.ajax({
            url: "${path}/lastVerify/getFaultType",
            type: "POST",
            data: {effective: 1},
            success: function (result) {
                if (result != null) {
                    var html = '';
                    for (var i = 0; i < result.length; i++) {
                        if (i % 2 == 0) {
                            html += '<div class="row" style="width:600px"><label class="col-xs-6"><input name="Fruit" type="checkbox" disabled="disabled" value="' + result[i].id + '">' + result[i].typeName + '</label>'

                        } else {
                            html += '<label class="col-xs-6"><input name="Fruit" disabled="disabled" type="checkbox" value="' + result[i].id + '">' + result[i].typeName + '</label></div>';
                        }
                    }
                    $("#faultTypeDiv").append(html);
                }
            }
        });
    }

    getFaultType();
    $(function () {
        var objUrl;
        var img_html;
        initDateInput('startDateTo','endDateTo');
        $("#myFile").change(function () {
            var img_div = $(".img_div");
            var filepath = $("input[name='myFile']").val();
            //获取所有图片
            var fileALL = this.files;
            for (var i = 0; i < fileALL.length; i++) {
                //把图片存到数组中
                files[id] = fileALL[i];
                id++;
                //获取图片路径
                objUrl = getObjectURL(fileALL[i]);
                var extStart = filepath.lastIndexOf(".");
                var ext = filepath.substring(extStart, filepath.length).toUpperCase();
                /**
                 *描述：鉴定每个图片上传尾椎限制
                 */

                if (ext != ".PNG" && ext != ".GIF" && ext != ".JPG" && ext != ".JPEG") {
                    //$(".shade").fadeIn(500000000);//500
                    toastr.warning("图片限于png,gif,jpeg,jpg格式");
                    //$(".text_span").text("图片限于bmp,png,gif,jpeg,jpg格式");
                    //this.value = "";
                    //$(".img_div").html("");
                    return false;
                } else {
                    /**
                     *若规则全部通过则在此提交url到后台数据库
                     */
                    // if (objUrl.indexOf(".") != -1) {
                    //     img_html = "<div class='isImg' id='-1'><img src='require(" + objUrl + ")' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                    // } else {
                    //     img_html = "<div class='isImg' id='-1'><img src='" + objUrl + "' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                    // }
                    img_html = "<div class='isImg' id='-1'><img src='" + objUrl + "' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"

                    img_html += selectStr
                        + " <button class='removeBtn' onclick='javascript:removeImg(this)'>x</button></div>";
                    img_div.append(img_html);
                }
            }
            /**
             *描述：鉴定每个图片大小总和
             */
            var file_size = 0;
            var all_size = 0;
            for (j = 0; j < fileALL.length; j++) {
                file_size = fileALL[j].size;
                all_size = all_size + fileALL[j].size;
                var size = all_size / 1024;
                if (size > 500000000) {//500
                    //$(".shade").fadeIn(500);
                    //$(".text_span").text("上传的图片大小不能超过100k！");
                    toastr.warning("上传的图片大小不能超过10000000k！");
                    this.value = "";
                    $(".img_div").html("");
                    return false;
                }
            }
            return true;
        });

        /**
         *描述：鉴定每个浏览器上传图片url 目前没有合并到Ie,返回值为blob的url
         */
        function getObjectURL(file) {
            var url = null;
            if (window.createObjectURL != undefined) { // basic
                url = window.createObjectURL(file);
            } else if (window.URL != undefined) { // mozilla(firefox)
                url = window.URL.createObjectURL(file);
            } else if (window.webkitURL != undefined) { // webkit or chrome
                url = window.webkitURL.createObjectURL(file);
            }
            return url;
        }

        //blob转base64
        function blobToDataURL(blob) {
            var a = new FileReader();
            a.readAsDataURL(blob);//读取文件保存在result中
            a.onload = function (e) {
                var getRes = e.target.result;//读取的结果在result中
            }

        }
    });

    /**
     * 描述：上传图片附带删除 再次地方可以加上一个ajax进行提交到后台进行删除
     */
    function removeImg(r) {
        //获取data中的图片名
        var filename = $(r).siblings("img").attr('id');

        //删除父节点
        $(r).parent().remove();
        var fileList = Array.from(files);
        //遍历数组
        for (var j = 0; j < fileList.length; j++) {
            //通过图片名判断图片在数组中的位置然后删除
            // console.log(fileList[j].name + "111");
            if (fileList[j].name == filename) {
                fileList.splice(j, 1);
                id--;
                break;
            }
        }
        files = fileList;
        var id = $(r).parent().attr('id');
        var maxPicture = $(r).siblings("img").attr('src');


        if ($(r).parent().attr('id') != -1) {
            var target = document.getElementById('filesUpload');
            spinner.spin(target);//给id为foo的div 中绑上spinner
            $.ajax({
                url: "${path}/inHosp/delImg",
                type: "POST",
                data: {id: id, maxPicture: maxPicture},
                success: function (result) {
                    spinner.spin();
                    if (result.indexOf("成功") != -1) {
                        toastr.success(result);
                    } else {
                        toastr.error(result);
                    }
                }, error: function () {
                    //toastr.error("加载失败！");
                }
            });
        }
    }

    /**
     * 描述：上传图片附带放大查看处理
     */
    function lookBigImg(b) {
        $('#maxImg').modal({
            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
            show: true//弹出对话框
        });

        $(".shadeImg").fadeIn(500);
        $(".showImg").attr("src", $(b).attr("src"));

    }

    /**
     * 描述：关闭弹出层
     */
    function closeShade() {
        // $(".shade").fadeOut(500);
    }

    /**
     *描述：关闭弹出层
     */
    function closeShadeImg() {
        // $(".shadeImg").fadeOut(500);
    }

    //初始化类别
    var selectStr = "";

    function getAssortFun() {
        $.ajax({
            url: "${path}/inHosp/getAssort",
            type: "POST",
            data: {patientId: $("#idLab").html()},
            async: true,
            success: function (result) {
                if (result.length > 0) {
                    if (result != null) {
                        selectStr = "<select class='selectB'>";
                        for (i = 0; i < result.length; i++) {
                            selectStr += "<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>";
                            $("#inpGl").append("<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>");
                        }
                        selectStr += " </select>";
                    }
                }
            }, error: function () {
                //toastr.error("加载失败！");
            }
        });
    }

    getAssortFun();
    var opts = {
        lines: 13, // The number of lines to draw |小长条的数量
        length: 20, // The length of each line |小长条的长度
        width: 5, // The line thickness |小长条的宽度
        //left: "50%",
        radius: 15, // The radius of the inner circle |内环的半径长
        corners: 1, // Corner roundness (0..1)
        rotate: 0, // The rotation offset |旋转角度
        direction: 1, // 1: clockwise, -1: counterclockwise |1：顺时针方向 -1：逆时针方向
        color: '#000', // #rgb or #rrggbb or array of colors |颜色
        speed: 1, // Rounds per second |每秒转多少圈
        trail: 60, // Afterglow percentage |余晖效果百分比
        shadow: false, // Whether to render a shadow |渲染阴影
        hwaccel: false, // Whether to use hardware acceleration |加速
        className: 'spinner', // The CSS class to assign to the spinner |类名spinner
        zIndex: 2e9, // The z-index (defaults to 2000000000) |显示在最顶层
        top: '70%', // Top position relative to parent in px |相对父元素的top
        //left: '90' // Left position relative to parent in px |相对父元素的left ，默认情况spinner是显示于父元素居中位置

    };
    var spinner = new Spinner(opts);
    var url = "";

    function uploadFileFun() {
        var formData = new FormData();
        formData.append('file', $('#addFile')[0].files[0]);
        formData.append('fileName', $("#outDateLab").val());
        formData.append('id', $("#inpId").val());
        formData.append('masterID', $("#idLab").html());
        formData.append('assortID', $("#inpType").val());
        // $('#addFile').attr("src", $("#outDateLab").val() + ".pdf");
        $.ajax({
            url: "${path}/inHosp/uploadImg",
            scriptCharset: "UTF-8",
            contentType: "application/x-www-form-urlencoded; charset=UTF-8",
            type: 'POST',
            cache: false,
            data: formData,
            processData: false,
            contentType: false,
            success: function (result) {
                if (result.indexOf("文件") == -1) {
                    toastr.success("上传成功!");
                    $('#addFile').attr("src", result);
                    url = result;
                    $('#previewFile').css("display", "block");//显示预览按钮
                } else {
                    toastr.warning(result);
                }
            }, error: function (result) {
                //$('#addFile').attr("src", $("#outDateLab").val() + ".pdf");//.val($("#outDateLab").val()+".pdf");
                toastr.error("上传失败！");
            }
        });

    }

    function blobToDataURL(blob, callback) {
        var a = new FileReader();
        a.onload = function (e) {
            callback(e.target.result);
        }
        a.readAsDataURL(blob);
    }

    function blobToFile(blob, fileName) {
        blob.lastModifiedDate = new Date();
        blob.name = fileName;
        return blob;
    }

    function imgSelectFun() {
        var img_div = $(".img_div");
        if ($("#inpGl").val() != "非类型") {
            var target = document.getElementById('divImg');
            spinner.spin(target);//给id为foo的div 中绑上spinner
            var data = {};
            data.relationId = $("#idLab").html();
            data.assortId = $("#inpGl").val();
            $.ajax({
                url: "${path}/inHosp/getPicList",
                type: "post",
                data: data,
                success: function (result) {
                    if (result != null) {
                        img_div.empty();
                        for (var i = 0; i < result.length; i++) {
                            /**
                             *若规则全部通过则在此提交url到后台数据库
                             */
                                //selectStr= selectStr.replace(result[i].assortId+'\"','\" selected');
                            var fileName = result[i].maxPicture.split("\\");
                            // if (objUrl.indexOf(".") != -1) {
                            //     img_html = "<div class='isImg' id='-1'><img src='require(" + result[i].maxPicture + ")' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                            // } else {
                            //     img_html = "<div class='isImg' id='-1'><img src='" + result[i].maxPicture + "' id='" + fileALL[i].name + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                            // }
                            img_html = "<div class='isImg' id='" + result[i].id + "'><img src='" + result[i].maxPicture + "' id='" + fileName[fileName.length - 1] + "' onclick='javascript:lookBigImg(this)' style='height: 100%; width: 100%;' />"
                                + selectStr//+"<label  class='oldSel' id='oldSel"+i+"' value='"+result[i].assortId+"' hidden></label>"
                                + " <button class='removeBtn' onclick='javascript:removeImg(this)'>x</button></div>";
                            img_div.append(img_html);
                            img_div.find("select").eq(i).val(result[i].assortId);
                        }
                    } else {
                        toastr.success("暂无数据！");
                    }
                    spinner.spin();

                },
                error: function () {
                    toastr.error("获取图片列表失败！");
                }
            });
        } else {
            img_div.empty();
        }

    }

    $("#imgBtn").click(function () {
        //console.log("===查询图片列表===");
        //var target = document.getElementById('filesUpload');
        imgSelectFun();

    });
    $("#imgsSaveBtn").click(function () {
        //console.log("===保存图片===");
        var spinner1 = new Spinner(opts);
        var target = document.getElementById('divImg');
        spinner1.spin(target);//给id为foo的div 中绑上spinner

        var fileArr = [];
        var b = 0;
        //获取图片src和下拉框值
        var div_p = $(".img_div").children();
        var div_data = div_p.children();
        if (div_data != null)
            for (var i = 0; i < div_data.length; i++) {
                if (div_data[i].getAttribute('src') != null && div_data[i].getAttribute('src') != "") {
                    // console.log("第" + (i + 1) + "个的src=" + div_data[i].getAttribute('src'));
                    //obj.fileSrc= div_data[i].getAttribute('src');
                    //obj.fileSrc = obj.fileSrc;
                    //var s=new File([obj.fileSrc], "a"+i+".jpg");
                    //files.push(s);
                    //console.log(obj.fileSrc);
                }
                if (div_data[i].value != null && div_data[i].value != "") {
                    var obj = {};
                    //console.log("第select" + (i + 1) + "个的value=" + div_data[i].value);
                    obj.selectVal = div_data[i].value;
                    if (b < div_data.length / 2) {
                        obj.id = div_p[b].id;
                        b++;
                    }
                    fileArr.push(obj);

                }

                // if (div_data[i].id.indexOf("oldSel")!=-1) {
                //     console.log("第Lable" + (i + 1) + "html=" + div_data[i].getAttribute('value'));
                // }

            }

        if (fileArr.length > 0) {
            //创建FormData根据form
            var uploadFile = new FormData($("#filesUpload")[0]);
            uploadFile.append('fileName', $("#outDateLab").val());
            uploadFile.append('masterID', $("#idLab").html());
            uploadFile.append("list", JSON.stringify(fileArr));
            //console.log(fileArr);
            //遍历图片数组把图片添加到FormData中
            for (var i = 0; i < files.length; i++) {
                uploadFile.append("imgs", files[i]);
            }
            if ("undefined" != typeof (uploadFile) && uploadFile != null && uploadFile != "") {
                var target = document.getElementById('filesUpload');
                spinner.spin(target);//给id为foo的div 中绑上spinner
                //通过ajax上传
                $.ajax({
                    url: "${path}/inHosp/uploadImgS",
                    type: "post",
                    data: uploadFile, //把FormData作为参数
                    contentType: false, //不设置内容类型
                    processData: false, //不处理数据
                    success: function (data) {
                        initTree($("#idLab").html());
                        setTimeout(function () {
                            //刷新当前类别
                            imgSelectFun();
                            if (data.indexOf("成功") != -1) {
                                toastr.success(data);
                            } else if (data.indexOf("成功") != -1) {
                                toastr.error(data);
                            } else {
                                toastr.warning(data);
                            }
                            spinner1.spin();
                        }, 2000);

                        files = new Array();
                    },
                    error: function () {
                        spinner1.spin();
                        toastr.error("批量上传失败！");

                    }
                });

                spinner.spin();
            }
        } else {
            toastr.warning("请选择上传的图片！");
        }


    });
    $("#uploadBtn").click(function () {
        // console.log("批量上传图片模态框");
        $('#pdfModal').modal({
            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
            show: true//弹出对话框
        });
    });
    $('#addFile').on('change', function () {
        //判断文件类型，并上传pdf
        uploadFileFun();
    });
    $("#previewFile").on('click', function () {
        //上传后预览pdf文件
        var fileUrl = $("#fileUrlInp").val();
        //console.log(fileUrl);
        var pdfUrl = "${path}/static/pdfjs/web/viewer.html?file=" + fileUrl;
        if (fileUrl != null && fileUrl != "") {
            window.open(pdfUrl, 'PDF', 'width:50%;height:50%;top:100;left:100;');

        }
    });
    $("#returnBtn").on('click', function () {
        //退回信息保存
        var s = $("#returnText").val();
    });
    $("#getRecallBtn").on('click', function () {
        //退回信息保存
        $('#returnModal').modal({
            backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
            keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
            show: true//弹出对话框
        });
        $('#form2').find('input,textarea,checkbox').prop('readonly', true);
        $('#returnBtn').hide();


        //根据病案号获取缺陷信息
        $.ajax({
            url: "${path}/lastVerify/getDetailByArchId",
            type: "POST",
            data: {archiveDetailId: $("#idLab").html()},
            success: function (result) {
                if (result != null) {
                    $("#content").val(result.content);
                    $("#backContent").val(result.backContent);
                    $("#score").val(result.score);
                    //缺陷类别的勾选
                    if (result.assortId != null) {
                        var assortArr = result.assortId.split(",");
                        $('input[name="Fruit"]').each(function () {//遍历每一个名字为interest的复选框，其中选中的执行函数
                            //chk_value.push($(this).val());//将选中的值添加到数组chk_value中
                            if ($.inArray($(this).val(), assortArr) != -1) {
                                $(this).attr('checked', true);
                            } else {
                                $(this).attr('checked', false);
                            }
                        });
                    }
                }
            }
        });
    });
    $("#verifyBtn").on('click', function () {
        //审核信息保存
        var archiveDetailId = $("#archiveId").val();
        var firstTrial = $("#verifyText").val();
        if (firstTrial.length > 255) {
            toastr.warning("长度不超过255！");
            return;
        }
        var state = "初审";
        //归档状态改为初审还是有就是初审内容保存
        $("#WzRsult").empty();
        $.ajax({
            url: "${path}/beHosp/updateStateByArchivId",
            type: "POST",
            data: {archiveDetailId: archiveDetailId, firstTrial: firstTrial, state: state},
            success: function (result) {
                $("#verifyModal").modal('hide');
                if (result == "完整") {
                    $("#table").bootstrapTable("refresh");
                    toastr.success("初审操作成功！");
                } else {
                    $("#WzRsult").html(result);
                    $("#resultLabel").text("完整性未通过:" + result + ",是否强制提交?");
                    $('#WZModal').modal({
                        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                        show: true//弹出对话框
                    });
                    //$("#table").bootstrapTable("refresh");
                    // toastr.error(result);
                }
            }
        });
    });
    $("#wzSaveBtn").on('click', function () {
        var archiveDetailId = $("#archiveId").val();
        var firstTrial = $("#verifyText").val();
        var content = $("#WzRsult").html();
        if (firstTrial.length > 255) {
            toastr.warning("长度不超过255！");
            return;
        }

        //console.log(archiveDetailId+"==="+ firstTrial+"==="+ content);
        //完整性强制提交  forceWZ
        $.ajax({
            url: "${path}/beHosp/forceWZ",
            type: "POST",
            data: {archiveDetailId: archiveDetailId, firstTrial: firstTrial, content: content},
            success: function (result) {
                $("#WZModal").modal('hide');
                if (result == "1") {
                    $("#WZModal").modal('hide');
                    $("#table").bootstrapTable("refresh");
                    toastr.success("强制提交成功！");
                } else {
                    $("#WZModal").modal('hide');
                    $("#table").bootstrapTable("refresh");
                    toastr.error("强制提交失败！");
                }
            }
        });
    });
    $(function () {
        //日期控件
        $(".input-daterange").datepicker({
            format: "yyyy-mm-dd",
            language: "zh-CN"
        });

        var url = window.location.href;
        var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
        if (index != null && index != "" && index.indexOf("excel") != -1) {
            $("#excelBtn").show();
            $("#toolbar").show();
        } else {
            $("#excelBtn").hide();
            $(".columns-right").hide();
        }
        if (index != null && index != "" && index.indexOf("upload") != -1) {
            $("#uploadBtn").show();
        } else {
            $("#uploadBtn").hide();
        }
        if (index != null && index != "" && index.indexOf("pdf") != -1) {
            $("#pdfBtn").show();
        } else {
            $("#pdfBtn").hide();
        }
        if (index != null && index != "" && index.indexOf("pdf2") != -1) {
            $("#pdfBtn2").show();
        } else {
            $("#pdfBtn2").hide();
        }
        if (index != null && index != "" && index.indexOf("cancelAll") != -1) {
            $("#updateStateBtn").show();
        } else {
            $("#updateStateBtn").hide();
        }
        if (index != null && index != "" && index.indexOf("useAll") != -1) {
            $("#updateStateBtn2").show();
        } else {
            $("#updateStateBtn2").hide();
        }
        var deptAdmissionTo = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
        var deptArr = deptAdmissionTo.split(',');
        //var n = (deptAdmissionTo.split(',')).length ;
        if (deptAdmissionTo == null || deptAdmissionTo == '' || deptArr.length > 1) {
            $('#deptDiv').show();
        } else {
            $('#deptDiv').hide();
        }

        function getDept() {
            //获取科室列表
            $.ajax({
                url: "${path}/inHosp/getDept",
                type: "POST",
                data: {effective: 1, typecode: "dept_code"},
                success: function (result) {
                    if (result != null) {
                        for (var i = 0; i < result.length; i++) {
                            if (deptArr.length != 1 && deptArr[0] != "") {
                                var bol = deptArr.indexOf(result[i].code);
                                if (bol != -1) {
                                    $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                                }
                            } else {
                                $("#deptName").append("<option value=" + result[i].code + ">" + result[i].name + "</option>");
                            }
                        }
                    }
                    $(".selectpicker").selectpicker('refresh'); //
                }
            });
        }

        getDept();

    });

    //处理导出内容,这个方法可以自定义某一行、某一列、甚至某个单元格的内容,也就是将其值设置为自己想要的内容
    function DoOnCellHtmlData(cell, row, col, data) {
        if (row == 0) {
            return data;
        }

        //由于备注列超过6个字的话,通过span标签处理只显示前面6个字,如果直接导出的话会导致内容不完整,因此要将携带完整内容的span标签中title属性的值替换
        if (col == 4 || col == 11 || col == 7) {
            var spanObj = $(data);//将带 <span title="val"></span> 标签的字符串转换为jQuery对象
            var title = spanObj.attr("title");//读取<span title="val"></span>中title属性的值
            //var span = cell[0].firstElementChild;//读取cell数组中的第一个值下的第一个元素
            if (typeof (title) != 'undefined') {
                return title;
            }
        }

        return data;
    }

    /**
     * 根据两个日期，判断相差天数
     * @param sDate1 开始日期 如：2016-11-01
     * @param sDate2 结束日期 如：2016-11-02
     * @returns {number} 返回相差天数
     */
    function daysBetween(sDate1, sDate2) {
        //Date.parse() 解析一个日期时间字符串，并返回1970/1/1 午夜距离该日期时间的毫秒数
        var time1 = Date.parse(new Date(sDate1));
        var time2 = Date.parse(new Date(sDate2));
        var nDays = Math.abs(parseInt((time2 - time1) / 1000 / 3600 / 24));
        return nDays;
    };

    function show() {
        var mydate = new Date();
        var str = "" + mydate.getFullYear() + "-";
        str += (mydate.getMonth() + 1) + "-";
        str += mydate.getDate() + "";
        return str;
    }

    function initTable() {
        if (tipLoad == 1) {
            $("#table").bootstrapTable({ // 对应table标签的id
                //method: 'POST',
                url: "${path}/patientList/getPatientList", // 获取表格数据的url
                contentType: "application/x-www-form-urlencoded",//一种编码。好像在post请求的时候需要用到。这里用的get请求，注释掉这句话也能拿到数据
                //dataField: "data",//这是返回的json数组的key.默认是"rows".这里只有前后端约定好就行
                cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
                striped: true,  //是否显示行间隔色
                pagination: true, // 在表格底部显示分页组件，默认false
                paginationShowPageGo: true,
                pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
                smartDisplay: false,
                pageSize: 2, // 页面数据条数
                pageNumber: 1, // 初始化加载第一页，默认第一页
                sidePagination: 'server', // 设置为服务器端分页     客户端：client
                search: false,
                showColumns: true,
                // sortable: true,
                // sortOrder: "asc",
                toolbar: '#toolbar',//指定工具栏
                searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
                undefinedText: '---', //当数据为 undefined 时显示的字符
                singleSelect: false,//设置True 将禁止多选
                clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
                height: 560,     //定义表格的高度。
                searchTimeOut: 500,// 默认500  设置搜索超时时间。
                toolbarAlign: 'right',// 指定 toolbar 水平方向的位置。'left' 或 'right'
                paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
                showHeader: true,//是否显示列头。
                trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
                //是否显示导出按钮
                showExport: true,
                //导出表格方式（默认basic：只导出当前页的表格数据；all：导出所有数据；selected：导出选中的数据）
                exportDataType: "basic",
                //导出文件类型
                exportTypes: ['json', 'xml', 'csv', 'txt', 'sql', 'excel'],
                exportOptions: {
                    fileName: document.title
                },
                // showToggle: false,                    //是否显示详细视图和列表视图的切换按钮
                // cardView: false,                    //是否显示详细视图
                // detailView: false,                   //是否显示父子表
                queryParams: function (params) {
                    var currPageSize = this.pageSize;
                    if (currPageSize == 2) {
                        currPageSize = 10;
                    }
                    var limit = null;
                    var offset = params.offset;
                    //判断是否导出全部all
                    if ($("#sel_exportoption").val() == "all") {
                        offset = 0;
                        limit = this.totalRows;
                        this.pageSize = limit;
                    } else {
                        limit = currPageSize;
                        this.pageSize = currPageSize;
                    }
                    var url = window.location.href;
                    var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");
                    // if (deptName != null && deptName != "") {
                    //     //$("#deptName").hide();
                    //     deptName += "," + $("#deptName").val();
                    // } else {
                    //     deptName = $("#deptName").val();
                    // }
                    // if ($("#deptName").val() != null && $("#deptName").val() != "") {
                    //     deptName = $("#deptName").val();
                    // }

                    var len = ($("#deptName").val()).length;
                    if (len > 0) {
                        var deptNameT = $("#deptName").val();
                        if (deptNameT.indexOf("") == -1) {
                            deptName = $("#deptName").val().toString();
                        }
                    }

                    var temp = {
                        limit: limit,     //页面大小
                        offset: offset,   //页码
                        //order: params.order,      //排位命令（desc，asc）
                        //id: $("#id").val(),
                        //idNo: $("#idNo").val(),
                        inpNo: "" + $("#inpNo").val(),
                        visitId: "" + $("#visitId").val(),
                        name: "" + $("#name").val(),
                        archivestate: "" + $("#archivestate").val(),
                        //deptName: "" + $("#deptName").val(),
                        startDateTo: $("#startDateTo").val(),
                        endDateTo: $("#endDateTo").val(),
                        deptName: deptName.toString(),
                        doctorInCharge: $("#doctorInCharge").val(),
                        isSearch: $("#isSearch").val(),
                        updateStatus:$("#updateStatus").val(),
                        lockStatus:$("#lockStatus").val()
                    };
                    //console.log(deptName);
                    return temp;
                },
                sortName: 'id', // 要排序的字段
                sortOrder: 'desc', // 排序规则
                columns: [{
                    title: '全选',
                    field: 'select',   //复选框
                    checkbox: true,
                    width: 25,
                    align: 'center',
                    valign: 'middle'

                }, {
                    title: '病案清单id',
                    field: 'id',
                    align: 'left',
                    valign: 'middle',
                    visible: false
                },
                    {
                        title: '住院号',
                        field: 'inpNo',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '住院次数',
                        field: 'visitId',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '姓名',
                        field: 'name',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '性别',
                        field: 'sex',
                        align: 'center',
                        valign: 'middle'
                    },
                    {
                        title: '身份证号',
                        field: 'idNo',
                        align: 'center',
                        valign: 'middle',
                        visible: false
                    },
                    {
                        title: '出院科室',
                        field: 'deptName',
                        align: 'left',
                        valign: 'middle'
                    },
                    {
                        title: '出院日期',
                        field: 'dischargeDateTime',
                        align: 'center',
                        formatter: function (value, row, index) {
                            return operDisDate(value);
                        }
                    },
                    {
                        title: '主管医生',
                        field: 'doctorInCharge',
                        align: 'left'
                    },
                    {
                        title: '完整性',
                        field: 'lockInfo',
                        align: 'center',
                        valign: 'middle',
                        visible: false
                    },
                    {
                        title: '状态',
                        field: 'archivestate',
                        align: 'center',
                        valign: 'middle',
                        formatter: function (value, row, index) {
                            //在院  未归档  归档中  初审 已归档 已认证
                            var a = '';
                            var days = row.days;
                            /* if (row.dischargeDateTime != null && row.dischargeDateTime != "") {
                                 days = daysBetween(show(), row.dischargeDateTime.split(" ")[0]);
                             }*/
                            if (value == "未归档") {
                                a = '<span style="color:#c0c0c0;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "已归档") {
                                a = '<span style="color:#030378"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "在院") {
                                a = '<span style="color:#bfa200"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "归档中") {
                                if (days > 0) {
                                    a = '<span style="color:#5d9c0a"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '<span style="color:red">(超期)</span></span>';
                                } else {
                                    a = '<span style="color:#5d9c0a"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                                }
                            } else if (value == "初审") {
                                a = '<span style="color:#8FBC8F"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "已认证") {
                                a = '<span style="color:#FF7F24"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            } else if (value == "复审退回") {
                                a = '<span style="color:red"><i class="fa fa-check-circle-o" aria-hidden="true"></i>' + value + '</span>';
                            }
                            return a;
                        }
                    },
                    {
                        title: '纸质状态',
                        field: 'paperStatus',
                        align: 'center',
                        formatter: function (value, row, index) {
                            var color = 'red';
                            if(value=='已签收'){
                                color = 'green';
                            }
                            return '<span style="color:'+color+'">'+value+'</span>';
                        }
                    },
                    {
                        title: 'his召回状态',
                        field: 'callBackStatus',
                        align: 'center',
                        formatter: function (value, row, index) {
                            var color = 'red';
                            if(value=='未召回'){
                                color = 'green';
                            }
                            return '<span style="color:'+color+'">'+value+'</span>';
                        }
                    },
                    {
                        title: '修改状态',
                        field: 'updateStatus',
                        align: 'center',
                        formatter: function (value, row, index) {
                            var color = 'red';
                            if(value=='未修改'){
                                color = 'green';
                            }
                            return '<span style="color:'+color+'">'+value+'</span>';
                        }
                    },
                    {
                        title: '封存状态',
                        field: 'lockStatus',
                        align: 'center',
                        formatter: function (value, row, index) {
                            var color = 'red';
                            if(value=='未封存'){
                                color = 'green';
                            }
                            return '<span style="color:'+color+'">'+value+'</span>';
                        }
                    },
                    {
                        title: "操作",
                        align: 'left',
                        valign: 'middle',
                        width: 80, // 定义列的宽度，单位为像素px
                        formatter: function (value, row, index) {
                            //return '<button class="btn btn-danger btn-sm" onclick="selectFun(\'' + row + '\')">查看 </button>';
                            var url = window.location.href;
                            var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
                            var html = "";
                            if (index != null && index != "" && index.indexOf("select") != -1) {
                                html = html + '<button type="button" class="btn btn-danger btn-sm selInfo" >查看</button>';// '<a href="javascript:;" class="delete">删除</a>';

                            }
                            if (index != null && index != "" && index.indexOf("first") != -1) {
                                if (row.archivestate != '初审') {
                                    html = html + '<button type="button" class="btn btn-sm btn-primary verifyInfo">初审</button>'
                                }
                            }

                            return html;
                        },
                        events: {
                            'click .verifyInfo': function (e, value, row, index) {
                                //查询his判断医生护士是否全部提交
                                var result = selectHis(row);
                                if (result == 1) {
                                    $('#verifyModal').modal({
                                        backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                        keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                        show: true//弹出对话框
                                    });
                                    $("#verifyText").val("");
                                    $("#archiveId").val(row.id);
                                }
                            },
                            'click .selInfo': function (e, value, row, index) {
                                //赋值记帐号
                                $("#fpatno").val(row.patientId);
                                //查询是否医生或护士是否提交
                                var result = selectHis(row);
                                $('#selModal').modal({
                                    backdrop: 'static',//backdrop 为 static 时，点击模态对话框的外部区域不会将其关闭。
                                    keyboard: false,//keyboard 为 false 时，按下 Esc 键不会关闭 Modal。
                                    show: true//弹出对话框
                                });
                                if (row.archivestate != '复审退回') {
                                    $("#recallDiv").hide();
                                } else {
                                    $("#recallDiv").show();
                                }
                                //删除缓存
                                //删除病历清单分段树选中
                                $("#assortId").html(0);
                                //删除病历清单查看单个pdf复选框选中信息
                                idArr = [];
                                //同步
                                $("#idLab").html(row.id);
                                $("#nameLab").html(row.name);
                                if (row.admissionDateTime != null && row.admissionDateTime != '') {
                                    $("#inDateLab").html(row.admissionDateTime.substring(0, 10));
                                }
                                $("#chargeLab").html(row.doctorInCharge);
                                $("#deptToLab").html(row.deptAdmissionTo);
                                //出院
                                if (row.dischargeDateTime != null && row.dischargeDateTime != '') {
                                    $("#inDateLab1").html(row.dischargeDateTime.substring(0, 10));
                                }
                                $("#deptToLab1").html(row.deptName);

                                $("#outHospLab").html(row.dischargeDisposition);
                                $("#inLab").html(row.inpNo);
                                $("#inTimeLab").html(row.visitId);
                                if (row.lockinfo == '') {
                                    $("#wzContent").text(row.lockinfo);
                                } else {
                                    //请求接口查看并回显
                                    $.ajax({
                                        type: 'get',
                                        url: '${path}/beHosp/checkSuccess',
                                        data: {archiveDetailId: row.id},
                                        async: false,
                                        success: function (result) {
                                            $("#wzContent").text('');
                                            if (result != '') {
                                                $("#wzContent").text(result);
                                            }
                                        },
                                    })
                                }
                                ///入/出院年+出院月+住院号+住院次数
                                var outDate = "";
                                if (row.dischargeDateTime != null && row.dischargeDateTime != "") {
                                    outDate = row.dischargeDateTime.split("-");
                                } else if (row.admissionDateTime != null && row.admissionDateTime == "") {
                                    outDate = row.admissionDateTime.split("-");
                                }
                                $("#outDateLab").val(outDate[0] + "" + outDate[1] + "" + row.inpNo.trim() + "" + row.visitId + "");
                                initTree(row.id);
                                //加载文件表格
                                initTable2();
                            }
                        },
                        cellStyle: function (value, row, index) {
                            return {classes: 'success'}

                        }
                    }
                ],
                onLoadSuccess: function (result) {  //加载成功时执行
                    // console.info("加载成功");
                    tipLoad = 0
                },
                onLoadError: function () {  //加载失败时执行
                    //console.info("加载数据失败");
                    tipLoad = 0
                }

            });
        }
    }

    var idArr = [];
    $("#selModal").keydown(function (e) {
        if (e.keyCode == 13) {
            event.preventDefault();//禁用默认回车事件
        }
    });

    //获取table的高度
    function getHeight() {
        return $(window).height() - 100;
    }

    initTable();

    //2.初始化select的change事件
    $("#sel_exportoption").change(function () {
        $('#table').bootstrapTable('refreshOptions', {
            exportDataType: $(this).val()
        });
    });
    $("#refreshBtn").click(function () {
        //刷新
        $('#table').bootstrapTable('refresh');
    });
    //导出excel功能
    $("#excelBtn").click(function () {
        var id = "" + $("#id").val();
        var inpNo = "" + $("#inpNo").val();
        var visitId = "" + $("#visitId").val();
        var name = "" + $("#name").val();
        var idNo = "" + $("#idNo").val();
        //var state = "" + $("#state").val();
        var archivestate = "" + $("#archivestate").val();
        // var deptName=""+$("#deptName").val();
        var startDateTo = $("#startDateTo").val();
        var endDateTo = $("#endDateTo").val();
        var url = window.location.href;
        var deptName = url.substring(url.lastIndexOf('&') + 1).replace("depts=", "");

        var len = ($("#deptName").val()).length;
        if (len > 0) {
            var deptNameT = $("#deptName").val();
            if (deptNameT.indexOf("") == -1) {
                deptName = $("#deptName").val().toString();
            }
        }

        window.location.href = "${path}/beHosp/exportExcel?inpNo=" + inpNo + "&visitId=" + visitId +
            "&name=" + name + "&archivestate=" + archivestate + "&deptName=" + deptName
            + "&startDateTo=" + startDateTo + "&endDateTo=" + endDateTo + "&isSearch=" + $("#isSearch").val() + "&doctorInCharge=" + $("#doctorInCharge").val();

    });
    var zNodes = [];
    var nodeList = [];

    function initTree(patientId) {
        var target = document.getElementById('foo');
        spinner.spin(target);//给id为foo的div 中绑上spinner
        zNodes = [];
        //获取所有分段列表
        $.ajax({
            url: "${path}/inHosp/getAssort",
            type: "POST",
            data: {patientId: patientId},
            async: true,
            success: function (result) {
                zNodes.push({id: 0, pId: 0, name: "分段列表", open: true});
                if (result.length > 0) {
                    for (var i = 0; i < result.length; i++) {
                        //下拉类别
                        $("#inpType").append("<option value=" + result[i].assortId + ">" + result[i].assortName + "</option>");
                        //树列表
                        var obj = {};
                        obj.id = result[i].assortId;
                        obj.pId = 0;
                        obj.name = "" + result[i].assortName + "(" + (result[i].pageNum) + ")";
                        obj.assortSort = result[i].assortSort;
                        obj.patientId = result[i].patientId;
                        obj.printFlag = result[i].printFlag;
                        zNodes.push(obj);
                    }
                }
                //$.fn.zTree.init($("#ztree"), setting, zNodes);
                var treeObj = $.fn.zTree.init($("#ztree"), setting, zNodes);
                /*var node;
                var currId = $("#assortId").html();
                if (currId != "" && currId != null) {
                    //修改选中已选节点
                    node = treeObj.getNodeByParam("id", currId);
                } else {*/
                //添加选中父节点
                var node = treeObj.getNodeByParam("id", 0);
                //}
                treeObj.selectNode(node, true);//将指定ID的节点选中
                //刷新
                $('#table2').bootstrapTable('refresh');
                spinner.spin();
            }, error: function () {
                //toastr.error("加载失败！");
            }
        });


    }

    var setting = {
        view: {
            addHoverDom: false,
            removeHoverDom: false,
            selectedMulti: false,
            autoCancelSelected: false
        },
        check: {
            enable: true
        },
        data: {
            simpleData: {
                enable: true,
                idKey: "id",
                pIdKey: "pId",
                rootPId: "0"
            }
        },
        edit: {
            enable: false
        },
        callback: {
            beforeClick: function (treeId, treeNode) {
                idArr = [];
                $("#assortId").html(treeNode.id);
                //查询之后重新从第一页算起
                $('#table2').bootstrapTable('refreshOptions', {limit: 1, offset: 10});
                //刷新
                $('#table2').bootstrapTable('refresh');
            }
        }
    };

    function searchNode() {
        var zTree = $.fn.zTree.getZTreeObj("ztree");
        var value = $("#key").val();
        if (value == "") {
            var nodes = zTree.getNodesByParam("isHidden", true);
            zTree.showNodes(nodes);
        } else {
            nodeList = zTree.getNodesByParamFuzzy("name", value);
            var nodes = zTree.getNodes();
            zTree.hideNodes(nodes[0].children);
            updateNodes(true);
        }
        zTree.expandAll(true);
    }

    function updateNodes(highlight) {
        var zTree = $.fn.zTree.getZTreeObj("ztree");
        for (var i = 0, l = nodeList.length; i < l; i++) {
            zTree.showNode(nodeList[i]);
        }
    }

    $(document).keydown(function (event) {
        if (event.keyCode == 13) {
            searchNode();
        }
    });

    //展开
    function expandAll() {
        var treeObj = $.fn.zTree.getZTreeObj("ztree");
        treeObj.expandAll(true);
    }

    //收缩
    function collapseAll() {
        var treeObj = $.fn.zTree.getZTreeObj("ztree");
        treeObj.expandAll(false);
    }

    $("#searchBtn1").click(function () {
        searchNode();
    });

    $("#updateStateBtn").click(function () {
        //选中批量作废
        var id = idArr.toString();
        //判断id
        if (id == null || id == '') {
            toastr.warning("请选择记录！");
            return;
        }
        $.ajax({
            url: "${path}/inHosp/updateStateAll",
            type: "POST",
            data: {"id": id, flag: "1"},
            success: function (result) {
                if (result == 1) {
                    //刷新
                    $('#table2').bootstrapTable('refresh');
                    toastr.success("批量作废成功！");
                } else {
                    toastr.error("批量作废失败，无记录！");
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });
    });

    $("#updateStateBtn2").click(function () {
        //选中批量使用
        var id = idArr.toString();
        //判断id
        if (id == null || id == '') {
            toastr.warning("请选择记录！");
            return;
        }
        $.ajax({
            url: "${path}/inHosp/updateStateAll",
            type: "POST",
            data: {"id": id, flag: "0"},
            success: function (result) {
                if (result == 1) {
                    //刷新
                    $('#table2').bootstrapTable('refresh');
                    toastr.success("批量使用成功！");
                } else {
                    toastr.error("批量使用失败，无记录！");
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });
    });

    function submitForm(i) {
        var formDate = new FormData($("#form2")[0]);
        $.ajax({
            url: 'upload_importFile.do?ccqoid=' + i,
            type: 'POST',
            data: formDate,
            async: false,
            cache: false,
            contentType: false,
            processData: false,
            success: function (data) {
                if (data.success) {
                    //$.messager.alert('提示', '导入成功!');
                }
            },
            error: function (returndata) {

            }
        });
    };

    $("#stateBtn").click(function () {
        $('#exampleModal').modal('hide');  //手动关闭
        var id = $("#idT").val();
        //console.log("===作废事件=======" + id);
        $.ajax({
            url: "${path}/inHosp/updateState",
            type: "POST",
            data: {"id": id, flag: "1"},
            success: function (result) {
                if (result == 1) {
                    //刷新
                    $('#table2').bootstrapTable('refresh');
                    toastr.success("作废成功！");
                } else {
                    toastr.error("作废失败，无该条记录！");
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });

    });

    function inpFun() {
        var temp = {};
        temp.id = $("#inpId").val();
        temp.title = $("#inpTitle").val();
        temp.assortid = $("#inpType").val();
        temp.source = $("#inpSource").val();
        temp.flag = $("#inpFlag").val();
        temp.masterid = $("#idLab").html();
        temp.sys = "emr_medical_record";
        return temp
    }

    $("#saveBtn").click(function () {
        if ($("#inpTitle").val().length > 100) {
            toastr.warning("内容长度不超过100！");
            return;
        }
        $.ajax({
            url: "${path}/inHosp/saveInfo",
            type: "POST",
            data: inpFun(),
            success: function (result) {
                if (result.indexOf("成功") != -1) {
                    $('#assortModal').modal('hide');  //手动关闭
                    //获取选中节点
                    initTree($("#idLab").html());
                    toastr.success(result);
                } else {
                    toastr.error(result);
                }
            }, error: function () {
                toastr.error("操作失败！");
            }
        });
    });

    jQuery(function ($) {
        //解决模态框背景色越来越深的问题
        $(document).on('show.bs.modal', '.modal', function (event) {
            $(this).appendTo($('body'));
        }).on('shown.bs.modal', '.modal.in', function (event) {
            setModalsAndBackdropsOrder();
        }).on('hidden.bs.modal', '.modal', function (event) {
            setModalsAndBackdropsOrder();
        });

        function setModalsAndBackdropsOrder() {
            var modalZIndex = 1040;
            $('.modal.in').each(function (index) {
                var $modal = $(this);
                modalZIndex++;
                $modal.css('zIndex', modalZIndex);
                $modal.next('.modal-backdrop.in').addClass('hidden').css('zIndex', modalZIndex - 1);
            });
            $('.modal.in:visible:last').focus().next('.modal-backdrop.in').removeClass('hidden');
        }

        //覆盖Modal.prototype的hideModal方法
        $.fn.modal.Constructor.prototype.hideModal = function () {
            var that = this
            this.$element.hide()
            this.backdrop(function () {
                //判断当前页面所有的模态框都已经隐藏了之后body移除.modal-open，即body出现滚动条。
                $('.modal.fade.in').length === 0 && that.$body.removeClass('modal-open')
                that.resetAdjustments()
                that.resetScrollbar()
                that.$element.trigger('hidden.bs.modal')
            })
        }
    });
    //查看缺失详情
    $("#showDefectTable").click(function () {
        //加载分类
        loadAssort();
    })
    //加载分类
    function loadAssort(){
        $('#myModal').modal('show');
        $("#fentryNo").empty();
        $.ajax({
            type: 'post',
            url: path + '/beHosp/getPdfCollectInfoFromHis',
            data:{
                fpatno: $("#fpatno").val()
            },
            dataType: 'json',
            success: function (data) {
                if(data.length > 0){
                    var html = '<option value="">全部</option>';
                    //获取分段集合
                    var map = new Map();
                    for(var i = 0;i < data.length;i++){
                        map.set(data[i].fentryNo,data[i].fentryName);
                    }
                    //组织赋值分段下拉
                    map.forEach(function(value,key){
                        html += '<option value="'+key+'">'+value+'</option>';
                    })
                    //加载文件生成情况表格
                    initTable3(data,1)
                    $("#modal-default").modal({
                        show: true
                    });
                    $("#fentryNo").append(html);
                }else{
                    toastr.warning("未查询到his病历生成任务,请耐心等待!")
                }
                $('#myModal').modal('hide');
            }
        });
    }
    //加载文件生成情况表格 flag是否是初始化
    function initTable3(data,flag) {
        $('#myModal').modal('show');
        //查询数据
        if(flag != 1) {
            $.ajax({
                type: 'post',
                url: path + '/beHosp/getPdfCollectInfoFromHis',
                data: {
                    fpatno: $("#fpatno").val(),
                    frecName: $("#frecName").val(),
                    fentryNo: $("#fentryNo").val(),
                    pdfflag: $("#pdfflag").val()
                },
                async:false,
                dataType: 'json',
                success: function (result) {
                    data = result;
                }
            })
        }
        initTab(data);
    }
    function initTab(data){
        //加载成功数量
        loadCollectNum(data);
        $('#table3').bootstrapTable('destroy');
        //加载表格
        $("#table3").bootstrapTable({ // 对应table标签的id
            data: data,
            cache: false, // 设置为 false 禁用 AJAX 数据缓存， 默认为true
            striped: true,  //表格显示条纹，默认为false
            pagination: true, // 在表格底部显示分页组件，默认false
            paginationShowPageGo: true,
            pageList: [10, 20, 50, 100], // 如果设置了分页，设置可供选择的页面数据条数。设置为All 则显示所有记录。
            pageSize: 10, // 页面数据条数
            pageNumber: 1, // 初始化加载第一页，默认第一页
            sidePagination: 'client', // 设置为服务器端分页     客户端：client
            searchOnEnterKey: true, //设置为 true时，按回车触发搜索方法，否则自动触发搜索方法
            undefinedText: '---', //当数据为 undefined 时显示的字符
            clickToSelect: true,//设置true 将在点击行时，自动选择rediobox 和 checkbox
            height: 560,     //定义表格的高度。
            searchTimeOut: 500,// 默认500  设置搜索超时时间。
            paginationDetailHAlign: 'left',//指定 分页详细信息 在水平方向的位置。'left' 或 'right'。
            showHeader: true,//是否显示列头。
            trimOnSearch: true,//设置为 true 将自动去掉搜索字符的前后空格。
            columns: [{
                title: '全选',
                field: 'select',   //复选框
                checkbox: true,
                width: 25,
                align: 'center',
                hidden: true,
            }, {
                title: '序',
                field: 'id',
                align: 'left',
                visible: false
            },
                {
                    title: "操作",
                    align: 'left',
                    valign: 'middle',
                    width: 100, // 定义列的宽度，单位为像素px
                    formatter: function (value, row, index) {
                        var html = '<button type="button" class="btn btn-primary btn-sm firstCollect">优先采集</button>';
                        return html;
                    }, events: {
                        'click .firstCollect': function (e, value, row, index) {
                            $(this).attr("disabled",true);
                            //分类编号
                            var fentryNos = row.fentryNo;
                            //文件id
                            var ffileIds = row.ffileId;
                            if(ffileIds == null || ffileIds == ''){
                                ffileIds = 'undefined';
                            }
                            //提交请求
                            sumbitFirstCollect(fentryNos,ffileIds);
                            $(this).removeAttr("disabled");
                        }
                    },
                    cellStyle: function (value, row, index) {
                        return {classes: 'success'}

                    }
                },
                {
                    title: '标题',
                    field: 'frecName',
                    align: 'left',
                    valign: 'middle',
                    //格式化列
                    formatter: function (value, row, index) {
                        return paramsMatterColumn(value);
                    }
                },
                {
                    title: '状态',
                    field: 'pdfflag',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        //在院  未归档  归档中  初审 已归档 已认证
                        var a = '';
                        if (value == '0') {
                            a = '<span style="color:red;"><i class="fa fa-times-circle-o" aria-hidden="true"></i>未完成</span>';
                        } else if (value == '1') {
                            a = '<span style="color:green"><i class="fa fa-check-circle-o" aria-hidden="true"></i>完成</span>';
                        }
                        return a;
                    }
                },
                {
                    title: '来源',
                    field: 'source',
                    align: 'center',
                    valign: 'middle',
                    formatter: function (value, row, index) {
                        return 'his';
                    }
                },
                {
                    title: '分段',
                    field: 'fentryName',
                    align: 'center',
                    valign: 'middle'
                },
                {
                    title: '最新采集时间',
                    field: 'updateLoadTime',
                    align: 'left',
                    valign: 'middle',
                    width: 150 // 定义列的宽度，单位为像素px
                },
                {
                    title: '最近手动提交时间',
                    field: 'sumbitTime',
                    align: 'left',
                    valign: 'middle',
                    width: 150, // 定义列的宽度，单位为像素px
                    formatter: function (value, row, index) {
                        if(value != '' && value != null){
                            var color = '';
                            color = 'red';
                            if(row.updateLoadTime != ''){
                                if(value < row.updateLoadTime){
                                    color = 'green';
                                }
                            }
                            return '<span style="color:'+color+';">'+value+'</span>';
                        }else{
                            return value;
                        }
                    }
                }
            ],
        });
        $('#myModal').modal('hide');
    }
    //加载采集数量
    function loadCollectNum(data) {
        //总数量
        $("#collectTotle").text(data.length);
        //完成数
        var finishNum = 0;
        for (var i = 0; i < data.length; i++) {
            if (data[i].pdfflag == '1') {
                finishNum++;
            }
        }
        $("#collectFinish").text(finishNum);
        //为完成数
        $("#collectUnFinish").text(data.length - finishNum);
        var color = 'red';
        //完成百分比
        if (data.length > 0) {
            var percent = Math.round(finishNum * 100 / data.length);
            $("#collectFinishPercent").text(percent);
            if (percent >= 80) {
                color = 'green';
            }
        }else{
            $("#collectFinishPercent").text(0);
        }
        $("#collectFinishPercentId").css("color",color);
    }
    //pdf生成情况查询按钮
    $("#collectPdfInfosearchBtn").click(function(){
        var data = [];
        initTable3(data,2)
    })
    $("#loading").css("background","url(${path}/static/img/load.gif) no-repeat 10px 50%");
    //批量采集
    function collects(){
        var data =$("#table3").bootstrapTable('getSelections');
        if(data.length == 0){
            toastr.warning("请至少选中一个!");
        }else{
            var fentryNos = '';
            var ffileIds = '';
            for (var i = 0; i < data.length; i++) {
                if(i != 0){
                    fentryNos += ',';
                    ffileIds += ',';
                }
                fentryNos += data[i].fentryNo;
                ffileIds += data[i].ffileId;
            }
            sumbitFirstCollect(fentryNos,ffileIds);
        }
    }

    //优先采集
    function sumbitFirstCollect(fentryNos,ffileIds){
        $('#myModal').modal('show');
        $.ajax({
            type:'post',
            url:path+"/beHosp/insetHisPdfCollect",
            data:{
                fpatno: $("#fpatno").val(),
                fentryNos:fentryNos,
                ffileIds:ffileIds
            },
            dataType:'json',
            async:false,
            success:function(data){
                if(data.code == 100){
                    toastr.success("及时采集标记已发送,请耐心等待");
                    initTable3();
                }else{
                    toastr.error(data.msg);
                }
                $('#myModal').modal('hide');
            }
        })
    }
</script>
<script src="${path}/static/js/hospitalLoadPdf/loadPdf.js?time=2020-09-28"></script>
</html>