//树操作
var menu = {
	setting: {
		view:{
			fontCss : {"font-family": "微软雅黑","color":"blue"}
		},
		data:{
			key:{
				name:"name"
			},
			simpleData: {
				chkStyle: "checkbox",
				enable: true,
				idKey: "id",
				pIdKey: "parentId"
			}
		},
		check:{
			enable:true
		},
		callback: { //回调函数
			onCheck: onCheck,
			onClick:onClick}
	},
	loadMenuTree:function(){
		var url = '';
		var params = '';
		//获取业务识别编码
		var typeFlag = parent.$("#typeFlag").val();
		if(typeFlag == 1){
			url = path+"/font/getRecordTypeTree";
			params = {patientId:parent.$("#patientId").val(),assortIds:parent.$("#assortIds").val()};
		}else if(typeFlag == 2){
			url = path+"/font/getRecordTypeTreeByOpId";
			params = {jzh:parent.$("#jzh").val(),startDateTo:parent.$("#startDateTo").val(),endDateTo:parent.$("#endDateTo").val(),isSearch:parent.$("#isSearch").val()};
		}
		$.ajax({
			type: "post",
			url: url,
			data: params,
			dataType:"json",
			async:false,
			success:function(data){
				$.fn.zTree.init($("#ztree"), menu.setting, data);
				zTree = $.fn.zTree.getZTreeObj("ztree");
				var nodes = zTree.getNodes();
				zTree.expandNode(nodes[0], true, false, true);
				var detailIds = '';
				for (var i = 0; i < data.length; i++) {
					if(data[i].selfId != null  && data[i].checked == 'true'){
						if(i != data.length - 1){
							detailIds += "'"+data[i].selfId+"',";
						}else{
							detailIds += "'"+data[i].selfId+"'";
						}
					}
				}
				if(detailIds.substring(detailIds.length-1,detailIds.length) == ","){
					detailIds = detailIds.substring(0,detailIds.length-1);
				}
				$("#detailIds").val(detailIds);
			}
		})
		//加载pdf
		onloadPdf();
	}
};
//加载树
$().ready(function(data){
	menu.loadMenuTree();
	//判断是否是护理按需采集，是显示刷新按钮
	var typeFlag = parent.$("#typeFlag").val();
	if(typeFlag == 1){
		$("#freshBtnDiv").show();
	}else if(typeFlag == 2){
		var delPower = parent.$("#delPower").val();
		if(delPower == 1){
			$("#delBtnDiv").show();
		}
	}
});

//获取获取树选中节点，赋值隐藏域并加载pdf
function onPdfLoadByselected() {
	var treeObj = $.fn.zTree.getZTreeObj("ztree");
	nodes = treeObj.getCheckedNodes(true);
	var detailIds = '';
	for (var i = 0; i < nodes.length; i++) {
		if (nodes[i].level == 2) {
			if (i != (nodes.length - 1)) {
				detailIds += "'" + nodes[i].selfId + "',";
			} else {
				detailIds += "'" + nodes[i].selfId + "'";
			}
		}
	}
	$("#detailIds").val(detailIds);
	//加载pdf
	onloadPdf();
}

//树选中事件
function onCheck(e, treeId, treeNode) {
	onPdfLoadByselected();
};
//树点击事件
function onClick(e, treeId, treeNode) {
	//点击后选中
	zTree.checkNode(treeNode,!treeNode.checked, true);
	onPdfLoadByselected();
};

//加载病案信息
function loadRecord(detailIds){
    $.ajax({
        type:'get',
        url:path+'/font/getRecordByFilePath',
        data:{filePath:detailIds,jzh:parent.$("#jzh").val()},
        async:false,
        dataType:'json',
        success:function (data) {
            if(null != data && data != ''){
                parent.$("#c7").val(data.c7);
                parent.$("#c8").val(data.c8);
            }
        }
    })
}

//加载pdfan按钮功能
function onloadPdf(){
	var url = '';
	var params = '';
	//获取业务识别编码
	var typeFlag = parent.$("#typeFlag").val();
    var detailIds = $("#detailIds").val();
	if(typeFlag == 1){
		url = path + "/font/getPdfToPdf";
		params = {detailIds: detailIds};
	}else if(typeFlag == 2) {
        url = path + "/font/getPdfToPdfByOpId";
        params = {detailIds: detailIds};
        if (detailIds != '') {
            var detailIdArr = detailIds.split(",");
            //只有一个需要查询病案资料，赋值就诊科室和主治医生
			var count = 0;
			var filePath = '';
			for(var i = 0;i<detailIdArr.length;i++){
				if(detailIdArr[i] != ''){
					count++;
					filePath = detailIdArr[i].replace("\'","").replace("\'","");
				}
			}
            if (count == 1) {
                loadRecord(filePath);
            }else{
            	parent.$("#c7").val('');
            	parent.$("#c8").val('');
			}
        }
	}
	$.ajax({
		type: 'post',
		url: url,
		data: params,
		success: function (data) {
			if (data.code == 100) {
				var pdfUrl = path + "/static/pdfjs/web/viewer.html?file=" + path + "/font/showPdf";
				$("#iframe1").attr("src", pdfUrl);
				$("#iframe1").css("height", $("body")[0].offsetHeight)
			} else {
				toastr.error(data.msg);
			}
		}
	})
	/*$("#iframe1").attr("src",path+"/static/pdfjs/web/viewer.html?file="+path+"/font/getPdfToPdf/"+patientId+"/"+detailIds);*/

}

//定义刷新开始计时到超时时间为10分钟
var timeOut = 10 * 60 * 1000;
//定义查询间隔时间默认10秒
var intervalTime = 10 * 1000;
//定义倒计时刷新秒数默认5秒
var times = 5;
//按需求刷新pdf
$("#loading").css("background","url("+path+"/static/img/load.gif) no-repeat 10px 50%");
function flashPdf(){
	$.ajax({
		type:'post',
		url:path+'/font/updateArchiveOther',
		data:{patientId:parent.$("#accountNumber").val(),masterId:parent.$("#patientId").val()},
		dataType:'json',
		success:function(result){
			if(result.code == 100){
				var data = result.extend.data;
				if(data != '' && data == 1){
					//已归档
					toastr.warning("该病案已归档");
				}else{
					toastr.success("后台开始执行按需采集,稍后采集完成页面将自动刷新");
					//3秒后触发等待控件
					setTimeout(function(){
						$("#loading").show();
					},5000)
					setInterval(function () {
						//1分钟查询一次
						$.ajax({
							type:'get',
							url:path+'/font/selectC1ByPatientId',
							data:{patientId:parent.$("#accountNumber").val()},
							dataType:'json',
							success:function(result){
								if(result.code == 100){
									//隐藏加载控件
									$("#loading").hide();
									setTimeout(function(){
										window.location.reload();
									},times*1000);
									//成功
									toastr.warning("按需采集已完成,页面将在"+times+"秒后自动刷新");
								}
							}
						})
					},intervalTime);
					setTimeout(function(){
						toastr.error("后台按需采集超时,请联系系统运维人员");
						//隐藏加载控件
						$("#loading").hide();
					},timeOut);
				}
			}else{
				toastr.error(result.msg);
			}
		}
	})
}

//其他档案接口删除按钮功能
$("#delBtnDiv").click(function () {
	var detailIds = $("#detailIds").val();
	if(detailIds == ''){
		toastr.warning("请至少选中一个文档");
		return false;
	}
	Common.confirm({
		title: "提示",
		message: "确认将左侧树选中的文档删除?",
		operate: function (reselt) {
			if (reselt) {
				var jzh = parent.$("#jzh").val();
				var detailIds = $("#detailIds").val();
				$.ajax({
					type: 'post',
					url: path + '/font/updateOtherDomForStatusFlag',
					data: {jzh: jzh, detailIds:detailIds},
					dataType: 'json',
					success: function (data) {
						if (data.code == 0) {
							toastr.success("删除成功！");
						}
						//重新加载
						menu.loadMenuTree();
					}
				})
			}
		}
	})
})
