$(function () {
    initTable();
    //加载时间
    initDateInput(1);
    initDateInput(2);
    //开始时间为上月今天
    $("#startTime1").val(getPreMonthToday());
    $("#startTime2").val(getPreMonthToday());
    //结束时间为今天
    $("#endTime1").val(getNowDay());
    $("#endTime2").val(getNowDay());
})

function initDateInput(idVal){
    $('#startTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        $("#beginTime-error").hide();
        var startTime= $("#startTime"+idVal).val();
        $("#endTime"+idVal).datepicker('setStartDate',startTime);
        $("#startTime"+idVal).datepicker('hide');
    });

    $('#endTime'+idVal).datepicker({
        language: "zh-CN",
        format: "yyyy-mm-dd",
        autoclose: true//选中之后自动隐藏日期选择框
    }).on('changeDate',function(){
        var startTime = $("#startTime"+idVal).val();
        var endtime = $("#endTime"+idVal).val();
        $("#startTime"+idVal).datepicker('setEndDate',endtime);
        $("#endTime"+idVal).datepicker('hide');
    });
}

//获取当天日期
function getNowDay(){
    var myDate = new Date;
    var year = myDate.getFullYear(); //获取当前年
    var mon = myDate.getMonth() + 1; //获取当前月
    if(mon < 10){
        mon = '0'+mon;
    }
    var date = myDate.getDate();
    if(date < 10){
        date = '0'+date;
    }
    return year+'-'+mon+'-'+date;
}

//获取当前日期的前一个月日期
function getPreMonthToday(){
    var currentYear = new Date().getFullYear();
    var currentMonth = new Date().getMonth();
    var day = new Date().getDate();
    if(day < 10){
        day = '0'+day;
    }
    if(currentMonth < 10){
        currentMonth = '0'+currentMonth;
    }
    if(currentMonth == '02' && day > 28){
        day = 28;
    }
    if(day == 31){
        if(currentMonth == 0 || currentMonth == 7) {
            day = 31;
        }else{
            day = 30;
        }
    }
    var date = currentYear+'-'+currentMonth+'-'+day;
    if(currentMonth == 0){
        currentYear = currentYear-1;
        date =currentYear +'-'+12+'-'+day;
    }
    return date;
}

//查询
$('#searchBtn').click(function () {
    $("#isSearch").val(1);
    //查询之后重新从第一页算起
    if (tipLoad == 0) {
        $("#table").bootstrapTable("refreshOptions", {pageNumber: 1});
    } else {
        toastr.warning("正在查询，请稍等...");
    }
});

//获取table的高度
function getHeight() {
    return $(window).height() - 100;
}

//2.初始化select的change事件
$("#sel_exportoption").change(function () {
    $('#table').bootstrapTable('refreshOptions', {
        exportDataType: $(this).val()
    });
});
$("#refreshBtn").click(function () {
    //刷新
    $('#table').bootstrapTable('refresh');
});

//封装导出postForm表单提交公共方法
function post(url, params) {
    // 创建form元素
    var temp_form = document.createElement("form");
    // 设置form属性
    temp_form .action = url;
    temp_form .target = "_self";
    temp_form .method = "post";
    temp_form .style.display = "none";
    // 处理需要传递的参数
    for (var x in params) {
        var opt = document.createElement("textarea");
        opt.name = x;
        opt.value = params[x];
        temp_form .appendChild(opt);
    }
    document.body.appendChild(temp_form);
    // 提交表单
    temp_form .submit();
}

//控制导出excel权限
var url = window.location.href;
var index = url.substring(url.lastIndexOf('?') + 1).replace("num=", "");
if (index != null && index != "" && index.indexOf("export") != -1) {
    $("#excelBtn").show();
    $("#toolbar").show();
} else {
    $("#excelBtn").hide();
    $(".columns-right").hide();
}